Last Comment Bug 678775 - Move the version number from the Firefox -> Help -> About window to the Firefox -> Help -> Troubleshooting window
: Move the version number from the Firefox -> Help -> About window to the Firef...
Status: RESOLVED INVALID
:
Product: Firefox
Classification: Client Software
Component: General (show other bugs)
: Trunk
: All All
: -- normal with 3 votes (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
:
Mentors:
http://groups.google.com/group/mozill...
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-08-13 19:27 PDT by Asa Dotzler [:asa]
Modified: 2014-02-21 07:56 PST (History)
113 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description Asa Dotzler [:asa] 2011-08-13 19:27:38 PDT
When a user opens the About window for Firefox, the window should say something like "Firefox checked for updates 20 minutes ago, you are running the latest release."

It is important to say when the last check happened and ideally to do the check when the dialog is launched so that time is very near and to drop the version and simply tell them they're on the latest or not.

If a user needs the full version information they can get it from about:support.

This will of course have L10n implications. Not sure what the right way to note that is so I've cc'd Axel :-)
Comment 1 Dave Garrett 2011-08-13 20:07:44 PDT
Simplification and a different meaning for version numbers in a rapid release cycle are one thing, but help->about has been the place for the version number in pretty much every program with a menu for decades. This is where it belongs, where people look for it, and there is no real benefit to remove it. It's already deprioritized in the current dialog design. If the desire is to go further and only show a date, then the actual versioning scheme should just be changed to a date or a variation thereof as other projects with time based releases do. Nonetheless, the dialog labeled "About Firefox" needs to tell you explicitly about the installed Firefox, which necessarily includes its exact version.
Comment 2 Tyler Downer [:Tyler] 2011-08-13 22:03:37 PDT
No. The about window has always been the place for you to go and find the version of a program. It was already simplified with Firefox 4 to just show "Firefox 5.0.1" or whatever. I'd say at least 75% of users have no idea about the about: pages or that they even exist. I see no benefit from removing it, and only confusion and community rage from removing it. Even chrome has the full version in About, and they seem to be working just fine with no confusion.
Comment 3 Asa Dotzler [:asa] 2011-08-14 00:39:13 PDT
Thanks for the feedback Tyler and Dave. This feature is a priority of the Firefox UX lead and the Firefox Product lead. It is part of the phasing out of version numbers in Firefox that's already well under way (though still incomplete.) 

If you'd like to offer up further feedback, please create a newsgroup thread in m.d.usability where I'll happily answer any questions you have. Thanks in advance for not making a mess of this bug report.
Comment 4 Axel Hecht [:Pike] 2011-08-14 03:23:23 PDT
The current behaviour of the about dialog is to check for updates, and then tell you either "you're current" or to get the new update and then offer you to install it. Is that supposed to change?

Just dropping the version number is kinda trivial oth.
Comment 5 Asa Dotzler [:asa] 2011-08-14 10:30:28 PDT
Axel, the current checking behavior does not need to change. The version number needs to go away and we need to tell the users when the last checked happened (if that was a second ago, we should tell them that).  This second part, telling the user when the last check happened gives them confidence that Firefox is not just putting some static text there telling them they're up to date but that Firefox actually checked and is sure they are up to date.
Comment 6 Jojo 2011-08-14 15:42:20 PDT
This is a REALLY dumb, stupid, idiotic idea!

Not everyone wants to or needs be on the bleeding edge of each new release:
"Firefox checked for updates 20 minutes ago, you are running the latest release.". 

YOU developers may want users on the latest release for security or support but users have additional concerns, such as add-on compatibility or interactions with other software. As mentioned EVERY OTHER piece of software puts the version number in the About window. It is a de facto standard. But now FF developers say - "we know better" than everyone else. You're wrong. You don't.
Comment 7 Asa Dotzler [:asa] 2011-08-14 16:01:19 PDT
Jojo, you have added nothing new or of value to this bug. If you cannot be constructive in Bugzilla, you will lose your privileges of participating here. 

See item 1. at the Bugzilla Etiquette page https://bugzilla.mozilla.org/page.cgi?id=etiquette.html and do not comment further in this or any other bug unless you can participate according to our rules.
Comment 8 Dave Garrett 2011-08-14 16:56:40 PDT
Hyperbole aside, the about dialog is essentially a box designed for the sole purpose of housing the application developer and version. I am sorry to break it to you, though, even if having the version in the about dialog is a UX problem in any way, virtually all other applications out there beg to differ. Even my mother knows this is where you look up what version of a program you're using. You're going up against established UX that spans much time and across OSes.

You'd save yourself a bit of trouble if you posted at least a rationale as apposed to just saying it's going to be done. In my experience, bugs that start out like this downgrade to messes far faster; you can't use an open system to just announce without prior discussion or an explanation at least linked to. (and no, banishing things to groups is not the way to go, no matter how much we wish it could even work)

The greater point here is that any gain that could be made trying to hide the version is not worth the expected confusion of people no being able to find it in the same place every other application has it, and not worth the eventual flame storm this will create. I'm a little baffled actually, and would like to try to understand if an explanation were posted.

If there's an actual known repeatable problem this would fix, I think some kind of compromise where there were two views in the about dialog: a hyper-user-friendly one with things hidden and a link to show the rest of the (and maybe more) info including the version and date of said version. (i.e. similar to how the credits were done once upon a time)
Comment 9 Tyler Downer [:Tyler] 2011-08-14 16:59:28 PDT
(In reply to Dave Garrett from comment #8)
>I'm a little baffled actually
Same here...
Comment 10 Asa Dotzler [:asa] 2011-08-14 17:54:18 PDT
If you're interested in discussing this further, please take it to the newsgroup thread that Tyler started in m.d.usability. I'm happy to discuss there (and have already replied in great detail to Tyler's comment) but this isn't a discussion forum, it's a bug report where developers will be doing work.

To be clear, as the reporter of this bug and the the Product owner of this feature, I'm saying again, if you want to debate this, follow up in the newsgroup and not here. I've now made this request twice and I'd rather not have to make it again.
Comment 11 Jojo 2011-08-14 21:01:12 PDT
(In reply to Asa Dotzler [:asa] from comment #10)
> If you're interested in discussing this further, please take it to the
> newsgroup thread that Tyler started in m.d.usability. I'm happy to discuss
> there (and have already replied in great detail to Tyler's comment) but this
> isn't a discussion forum, it's a bug report where developers will be doing
> work.
> 
> To be clear, as the reporter of this bug and the the Product owner of this
> feature, I'm saying again, if you want to debate this, follow up in the
> newsgroup and not here. I've now made this request twice and I'd rather not
> have to make it again.

YES SIR! And who put YOU in charge of Bugzilla? Who the hell are you?

I am not very familiar with Bugzilla but I don't see anything in your OP up top that indicates why this is a bug or what it is breaking. It sounds like it is simply your own personal opinion. Where is the description of the problem this is causing?

Why would you want to break up a discussion and force people to a newsgroup anyway? Lot of unanswered questions here, BOSS.........
Comment 12 Jordan Osete 2011-08-15 01:15:49 PDT
As an early adopter (using Aurora, and before that I used beta versions), I don't understand what would be the interest of removing the version number from the about page ?

This is oversimplification. Users understand version numbers, so why remove them ? If there is a problem with version numbers, then the format can be changed (either to a date "2011.08.15.aurora" for example, or whatever), but removing the information adds nothing.

Asa: also the attitude "I don't want to discuss this here, go to the newsgroup where no one will see your arguments" is clearly not very, hm, "democratic". On every feature request or bug fix request on bugzilla, people comment to give their opinion on the matter. A single person does not have the right to decide for the community. Thanks.
Comment 13 rsx11m 2011-08-15 06:16:03 PDT
Voicing disagreement with a proposed change is not against the etiquette rules in bugzilla as long as comments are constructive and not offending.

> If a user needs the full version information they can get it from about:support.

While this is true, the "Troubleshooting Information" is certainly overwhelming for an ordinary user. No harm is done to provide the full version and even the build date in the about dialog, thus I can't follow your argumentation.

For support, knowing which version the user is actually running is essential. Thus, a quick look into the about dialog resolves that question immediately. Following your proposal, the information "last check was 12 days ago" doesn't tell if an update was downloaded and applied correctly, for example, and the user may have (on purpose or accidentally) disabled automated updates.

Thus, I agree with the other statements here that removing the version from the about dialog (which is mostly what the about dialog is supposed to be about) is not a good step and makes troubleshooting more difficult than necessary.
Comment 14 Axel Hecht [:Pike] 2011-08-15 07:28:27 PDT
(In reply to Asa Dotzler [:asa] from comment #5)
> Axel, the current checking behavior does not need to change. The version
> number needs to go away and we need to tell the users when the last checked
> happened (if that was a second ago, we should tell them that).  This second
> part, telling the user when the last check happened gives them confidence
> that Firefox is not just putting some static text there telling them they're
> up to date but that Firefox actually checked and is sure they are up to date.

I'm not understanding this still, it doesn't map with my experience of the about window today. That has a live UI part that says "checking for updates" as is, which is then replaced with either "click to update" or "you're good". How that can be mistaken for static text is beyond me. Reading the feature page just leaves me totally confused.

That said, there are no l10n issues here, and I'll leave it up to the fx hacker to understand what the intended change is here.
Comment 15 Axel Hecht [:Pike] 2011-08-15 07:30:40 PDT
PS: maybe the update check UX for folks in the office is too quick to notice? Like, the update check for me here in Berlin takes a few seconds. Maybe just delay the UI change for really quick server responses?
Comment 16 Asa Dotzler [:asa] 2011-08-15 07:46:31 PDT
Axel, a user goes to the About dialog. If the user has a good connection, then the About dialog will say "Firefox checked 1 minute ago and you are using the latest version." If the user has a poor connection or no connection, the About dialog will say "Firefox checked 7 hour ago and you are using the latest version" where 7 hours ago was the last time it was able to check. If the user stays on the about dialog long enough and there is a current internet connection, the dialog can update with the status of the just happened update check.  If the users is not using the latest version, then the dialog will say so as it does today.  

The difference between what was there and what will be there is the removal of the version number and the addition of the time since last successful check.

My concern for L10N was that it that it will probably be a new set of strings and there may be issues with translating because of the the subject switch between the "Firefox checked" and the "You are using" parts. I don't know if that's the case but thought it worth raising to be safe.

Jordan and rsx11m, your questions have already been asked and answered in the newsgroup where I requested that you take this discussion.
Comment 17 rsx11m 2011-08-15 08:09:24 PDT
Well, then let's at least add a pointer to the respective newsgroup thread so that people know where that related discussion takes place (see URL field).
Comment 18 Bryan Price 2011-08-15 10:19:46 PDT
As we going to make sure that all extensions work after that then?
Comment 19 dolata000 2011-08-15 10:50:44 PDT
One thing a lot of developers forget about are the people who still live on the end of slow internet links.  Less than half of rural America has high speed internet[1].  I live in Rural Appalachia,  and just got DSL this year. Before that I was stuck with Hughesnet (awful!) with a limit of less than 200 MB/day.  Many people around here still use 56 K modems.    Downloading any sort of large image on a routine basis is a nightmare for those people.   When my wife got an iPod the software updates (over 90 Mbytes in those days) would often push us over the Hughes "FAP" and kill our service for a day.    We needed to be able to plan our weekly downloads and have control over when updates and large downloads would occur.  When I was in that situation, if I couldn't control Firefox updates I drop it.  

[1] http://gfem.org/node/477
Comment 20 kwanbis 2011-08-15 10:55:41 PDT
Asa, why can't both be on the about dialog, the "Firefox checked 1 minute ago and you are using the latest version", and the version number itself?
Comment 21 Steve Brecht 2011-08-15 10:58:04 PDT
I strongly disagree with removal of the version number in the about box as well.  I can't see any rational for this being an improvement to the UI.  It only buries critical information deeper for the users who wish to see it, while really having no net positive impact for anyone.  One negative plus a neutral = a net negative.  Change for change's sake is never good.

Being able to check the version number for a support person is a critical thing and this adds a whole other branch of issues when support people have to go:  "Ok, if you're using IE, Safari, Chrome, Opera, or any other browser just open the About box for the version...  but if you're using Firefox then you have to go type in "about:support"... no in the URL bar... no, don't put the http:// in... because it's not a webpage... yes, clear everything else out... that's a semi-colon, use a colon... two P's in support..."  In my opinion this breaks a key UI standard which while subtle, is important.  Critically it is often most important when dealing with users who are the least UI savy.

I would love to comment on the newsgroup thread as well but have no newsgroup access.
Comment 22 Asa Dotzler [:asa] 2011-08-15 11:09:14 PDT
(In reply to Steve Brecht from comment #21)
> Being able to check the version number for a support person is a critical
> thing and this adds a whole other branch of issues when support people have
> to go:  "Ok, if you're using IE, Safari, Chrome, Opera, or any other browser
> just open the About box for the version...  but if you're using Firefox then
> you have to go type in "about:support"... no in the URL bar... no, don't put
> the http:// in... because it's not a webpage... yes, 

The support person on the phone can simply say "Go to the Firefox menu, then Help and Troubleshooting Information" They already have to fork their script to let users know that Help is under the Firefox menu in Firefox when it's on the menu toolbar in IE 6, 7, and 8, and the "gear" menu in IE 9 and the "wrench" menu in Chrome.
Comment 23 Asa Dotzler [:asa] 2011-08-15 11:10:40 PDT
(In reply to kwanbis from comment #20)
> Asa, why can't both be on the about dialog, the "Firefox checked 1 minute
> ago and you are using the latest version", and the version number itself?

Because removing the version number is half of the goal of this change.
Comment 24 kwanbis 2011-08-15 11:15:29 PDT
(In reply to Asa Dotzler [:asa] from comment #23)
> Because removing the version number is half of the goal of this change.
have we had users complain about the version number doing something wrong? I really do not see the point. More so, when one of the biggest strengths of FF is the addons, which are HIGHLY dependant on version numbers.
Comment 25 Sudaraka Wijesinghe 2011-08-15 11:28:37 PDT
Like most comments here I also strongly disagree with removing the version number from the about screen.

Version number in the about screen is an standard that no one discussed or agreed upon, yet we all use.
This is the place that an "average Joe" will go to see what version of the Firefox he/she is running. And what would one want to know that?

Scenario one
User: Hey!, your site doesn't work.
Web Guy: Really? What version of the browser you are running?

Scenario two
User: Hey plugin guy!, does your extension work with Firefox xx?

Scenario three:
User: Dear Bugzilla, I tried to .... and it doesn't work on Firefox xx.


I can keep going, but I hope you get the idea.
Comment 26 Famous 2011-08-15 11:28:56 PDT
There appears to be nothing constructive in moving the version numbers away from the about dialog into the help/troubleshooting section, additionally it would distract from developers attempting to help debug their own addons. 

Changing the functionality of the about window seems to be, less then an optimal approach for firefox to take at this point. Additionally asa, you mentioned that being half the goal, are we (those reading the bug) to assume the other half is placing it inside the help area? 

Another concern, should firefox automatically query updates, and display that? If so, there are people, as mentioned before, who have data limits per day, such queries would make this difficult to predict the amount of bandwidth being used. 

Additionally, the about menu is the one place that, no matter what program you are using, you can find something that tells you the version number (for debugging). What you are suggesting seems to make this more difficult by forcing developers, and troubleshooters to route people through some long(er) list of things to get to the version number. 

All in all, this seems to be more trouble then it is worth, what exactly are you trying to get out of this, in order to offset the work that needs to be put into it?
Comment 27 Tobias Leingruber (@tbx) 2011-08-15 11:32:09 PDT
2 comments:

1) Does anyone know which version of Facebook or Twitter you're using? No? Why not? Because it just doesn't matter. This whole rapid release cycle is about changing our pattern from releasing a holy version every 2 years to getting stuff out of the door. More like the web. This is untypical for desktop software, but we're going down that webby route already, and why not doing it all the way than?

2) I like the idea because it's strong. It's symbolic. It'll send out a message, people will discuss, people will hate (hi Jojo!). This bug is already getting media attention: http://www.extremetech.com/internet/92792-mozilla-takes-firefox-version-number-removal-a-step-further (via ycombinator news)
Comment 28 Famous 2011-08-15 11:35:13 PDT
i found a flaw in your comment tobias

1) Facebook and twitter are web applications, not code that you have to install and debug on someone's machine

2) It was never meant to act as some holy number, only as a reference point for people who are helping to troubleshoot (or develop) addons, websites, etc.
Comment 29 Sudaraka Wijesinghe 2011-08-15 11:46:53 PDT
@Tobias

Apples & Oranges my friend. Proprietary software like Facebook or Twitter has to come a long way than displaying a version number before they meet a FLOSS like Firefox. And we all know which version of Diaspora or Status.Net we are on ;)

It is a right of the end user to know which version of the software they use, and if they are getting a new version of the software (automatically or otherwise).
And the simplest, standard (or well known) way to do in any software is via About Screen.
Comment 30 Konomi 2011-08-15 11:48:51 PDT
Voicing my concern as well I do not want the version number removed from the about box. This has been a defacto standard for ages and having to type about:support to get to somthing that was a few mouse clicks away before is a burden rather than a feature. If it is not broken, do not fix it.
Comment 31 KLB 2011-08-15 12:01:37 PDT
The primary reason I use the about window is to get the current version number for Firefox.  When developing (websites, addons, etc.) and providing technical support to users quickly getting the version number is critical. It is also critical that version numbers be in a predictable location across applications. From a technical support standpoint if every application hid version numbers in different places it would create support nightmares.

Traditionally the predictable location for version numbers is in the application's about windows. As such, the version number for Firefox should also be in its about window.

The reasons to keep the version number in the about window far out weigh any of the reasons given so far to remove it.

This bug should be marked as invalid.
Comment 32 Stephen Bannasch 2011-08-15 12:29:56 PDT
As a developer removing the version number from the About Box will it more difficult for me to communicate about bugs and features with users.

Many of our web applications are used in schools and often schools have IT systems that freeze a set of applications on school computers. 

Separately there are often serious bugs in incremental versions of FF. For example this bug which was in  3.6.10 <= FF <= 3.6.12

  https://bugzilla.mozilla.org/show_bug.cgi?id=611183
  Java applet public method isn't called from JavaScript.

These two conditions make it important for a non-technical user to be able to easily get the version number of installed software.

Anybody who has the cause to think about the version number for a native application which can be installed on his or her computer will expect the version number in the About Box.
Comment 33 Lars 2011-08-15 12:36:12 PDT
Simply saying "change it because I said so" is not constructive, especially when I don't think anyone could rightly call removing the version number a "bug".

Personally, I don't care one way or another.  But it seems like the overwhelming response from the community is to keep the version number in About.

And to Asa: 
"Respect your users or you will lose them... Play nice or face extinction." -Asa Dotzler

Seems like you've forgotten your own sentiment.
Comment 34 Ryan Pearl [:rpearl] 2011-08-15 12:43:40 PDT
If you open Safari and look at the about box, you see the version number.
If you open Chrome and look at the about box, you see the version number (even though you can't find the current chrome version anywhere on their website!)

If you open basically any program, including those that are so transparently updated that version numbers are simply not noticed, you can still find the version number.

This is a separate issue from de-emphasizing the version number (why didn't Firefox just switch to YY.MM versions, again?) and in fact hinders UX--everyone is so used to the way it is at the moment that changing it will just confuse people. You should run current, but if you NEED the version, it should be... where it was expected to be.

(I am commenting here instead of in the newsgroup because this is "something constructive and helpful to say" and is related to the topic of the bug; namely, removing the version number from the about window.)
Comment 35 Jesse Ruderman 2011-08-15 13:15:17 PDT
Is this change intended for all channels and branches, or just Release?

I'm worried about the effect this change will have on bug reports, regression range finding, throttling, our ability to do LTS releases if we choose to do so, and users trying to troubleshoot problems related to updating.
Comment 36 Asa Dotzler [:asa] 2011-08-15 13:28:35 PDT
I relinquish this bug to the mob. Have fun.
Comment 37 David E. Ross 2011-08-15 13:39:15 PDT
This is not a "Normal" bug.  This is an RFE and should be updated accordingly.  

The main question is:  How does this benefit the user?  I wonder if it benefits the end-user at all.  Agreeing with comment #1 and other comments, I suspect this is an end-user detriment and not a benefit.
Comment 38 Thomas Smeeth 2011-08-15 13:39:51 PDT
(In reply to Asa Dotzler [:asa] from comment #36)
> I relinquish this bug to the mob. Have fun.

It isn't and wasn't ever a real bug.

Coincidentally, came across this thread snippet today. I am sure that company tech support will just love to have their users keep asking them why they are not up to date on the current FF release, which is what the user would see in the standard Help|About area?

******
by Ferdinand Pietre DiSelce (not verified) on 15. August 2011 - 15:05 (#77689)
You can watch a demo of the plug-in without downloading by going to the results page:
http://collusion.toolness.org

by MGC (not verified) on 15. August 2011 - 12:41 (#77682)
Not compatible with version 3.6.18

by MidnightCowboy on 15. August 2011 - 13:31 (#77686)
But that version is out of date now.

by John . (not verified) on 15. August 2011 - 17:35 (#77693)
which would be all fine and well except that I'm stuck with it at work as we're not allowed to just update ourselves and have to go through our IT dept, and if they're ready for/allowing the update.

Full thread:
http://www.techsupportalert.com/content/browser-add-shows-exactly-whos-watching-you-surf.htm
*******
Comment 39 d 2011-08-15 13:47:21 PDT
I could see why this could be a good idea. Pushing it to the extreme, with a browser that acts like a web page that could introduce new features or style at any point in time (without a restart, even) wouldn't bother me, but that may be because I'm good at adapting. There'd be only one version, where features come and go.

However, such a thing would require starting over, changing a lot of things we're used to. Moving (or removing) the version number wouldn't do much to get to that point.
Comment 42 Lars 2011-08-15 14:07:14 PDT
> Your words are not welcome here if you are going to speak like that.  
/agree

How about a compromise?  Replace the version with a link --labeled "Advanced Info" or something to that effect-- to the about:support page.  Seems that would satiate everyone's view, and provide better functionality IMO (not having to search for how to display that plethora of info).
Comment 43 Dave Garrett 2011-08-15 14:12:49 PDT
(In reply to Ryan Pearl from comment #34 and to Jesse Ruderman from comment #35)

I suggest posting in the usenet thread. (I can't believe I said that) This bug has been abandoned by Asa per comment 36 which was destined to happen just like every other potentially controversial bug that is posted without prior public discussion or a listed rationale. :sigh: This doesn't have to keep happening...

Re: Jesse WRT LTS, good point. I don't think that has been thought of by anyone here yet.

Re: Ryan WRT YY.MM versioning, yeah, it's the thought I had at the top of this page, the thought Tyler had in the usenet thread, and probably the thought of everyone who ever thought about the current path we're on. :p

I'm tempted to just close this bug as INCOMPLETE after Asa's comment 36, but I don't want to touch the thing. If someone with an "@mozilla" in their email wishes to do so, be my guest. Either that or wait for a WONTFIX. Rambling din of complaints aside, this is a strange change to suggest and one that already has tech support / admin people from other places noting how much of a pain it would be to have to special-case Firefox when explaining things to people who often can barely click a mouse.

(In reply to Lars from comment #42)
I suggested something similar in comment 8.

I've said this before in other long bugs: even if the bug stretches out to a hundred comments, you are expected to read every last one before commenting, and only doing so if you add something new. This request is of course never heeded because it gets lost in the din of comments. ;)
Comment 44 Lars 2011-08-15 14:20:00 PDT
@Dave Garrett

(In reply to Dave Garrett from comment #43)
> ...you are expected to read every last one before commenting,
> and only doing so if you add something new. This request is of course never
> heeded because it gets lost in the din of comments. ;)

Cute

Note: I did read your comment #8.  I was just being more specific -- a direct replacement of the version with the about:support link.  :)
Comment 45 Justin Lindberg 2011-08-15 14:23:53 PDT
Version numbers are nothing but marketing fluff, and less emphasis on marketing fluff is always a good thing.

Help->About is a very basic end-user function, and the simpler the better.  It's just fine to keep the emphasis on staying up-to-date rather than shamelessly plugging the latest and greatest version number.

I also hope it has the side benefit of encouraging people on all sides to develop more robust and general code that is not so micro-version-specific and quirk-dependent.

While you're at it, please remove the version number from the user-agent string as well, in order to help mitigate the "Panopticlick" problem.

http://panopticlick.eff.org/

I'm quite sure it would be easy to slap some kind of identifier like a year or a codename on a LTS release, if that's what you want to do, but what do I know? I'm just a user.
Comment 46 Gili 2011-08-15 14:27:53 PDT
I've created bug #679141. If you believe that the version number should *not* be removed, go vote for that issue. If you believe that the version number *should* be removed, go vote for this issue.
Comment 47 a611359 2011-08-15 14:28:20 PDT
I like the version number. I only see it, if I go in the "About Firefox" section.
Please let it be there. The users who want to see it, like me, can access it easily this way. Other users won't recognize the "About FF" section. With your solution, I would have to remember that string "about:troubleshooting" only for accessing the version number. I would be a little **** off! Sorry, but too much UX is wrong, too. It does not harm to have a connection to the development. I would actually vote for more bridging (between the developer and the user) in the UI.
Comment 48 Silanea 2011-08-15 14:33:08 PDT
In reply to comment 36:

Asa, I am very much tempted to reply to you in kind, but that would go against my upbringing. You propose this change as the first half of a greater goal that, as is apparent from the heated discussion both here and on major platforms like Slashdot, is either not understood or not shared by a sizable part of the users. We are not "the mob". We are part of your user base. You want the change, so it falls to you to lay out the issues with the current situation and demonstrate the benefits of your proposal in a way that transcends "Because I want it so" or "Because I want to treat a locally installable application as if it was Facebook". (Yes, I know that that comparison was made by someone else. But your statements sound pretty much like it. If this does not describe your rationale, then maybe you might consider explaining yourself in clearer language.)

I do not see an issue with version numbers. They provide a clear unambiguous identifier of a software's state of development. Giving an end user this information does not cause any issue that I can see; Either people do not understand the significance, then they will ignore it altogether or they will be able to deduct that greater version number equals "better" software. Or they understand the significance, then they may have come across situations in the past where identifying the exact state of their software was important to them, eg. for troubleshooting or for finding applicable tutorials or finding compatible extensions, and they may need to turn to it again to solve problems in the future.

I kindly ask for the fine people with the bold visions to fork Firefox under a different name, implement all their ideas - including this one - there and see how it fares out there before turning one of the world's most successful open source applications on its head based on fringe ideas and concepts that simply are well beyond the grasp of the majority of the user base.
Comment 49 donrhummy 2011-08-15 15:06:42 PDT
Along with this, and given the quick release schedule, I think it makes sense for Firefox to not change the major version number so often but instead perhaps change it every 2-3 releases. Currently the quick schedule is causing problems for a lot of addons that wouldn't break from any of the changes but cannot afford the time every 2=3 months to handle changing the addon and checking everything.
Comment 50 rsx11m 2011-08-15 15:26:48 PDT
As a minimum, let's stay on topic and don't throw in any other issues regarding the version numbering and where it appears, this report is about the About dialog only and nothing else (notwithstanding that comment #36 could be interpreted as this bug being abandoned).

I agree with comment #48 that no conclusive justification is given that the version number *has* to be removed from that dialog, other than Asa's statements in https://wiki.mozilla.org/Features/Desktop/About_Version which are reiterated in the newsgroup threat. I don't mind showing the "last update check was ..." and maybe even "last update was ..." (similar to the Windows Update dialog), that sounds like a good idea to see if automated updates are working. As for the version number, some people will care about it, others won't, but then they also won't care if it's shown in that dialog.
Comment 51 Nick Lowe 2011-08-15 15:28:02 PDT
The issue here is that the version number has become irrelevant as the release cadence of Firefox is now rapid and date based. So, drop the version number completely and just use the build date - continue to show that in the About window so that users can still confirm the version that they're running.
Comment 52 Mike Shaver (:shaver -- probably not reading bugmail closely) 2011-08-15 15:31:27 PDT
Like a boss.
Comment 53 a611359 2011-08-15 15:40:46 PDT
(In reply to Nick Lowe from comment #51)
> The issue here is that the version number has become irrelevant as the
> release cadence of Firefox is now rapid and date based. So, drop the version
> number completely and just use the build date - continue to show that in the
> About window so that users can still confirm the version that they're
> running.

Great idea.
Comment 54 Loic 2011-08-15 16:45:22 PDT
Oh yeah, the 1st step before silent updates like Chrome. :)
Some literature: Why Silent Updates Boost Security
http://www.techzoom.net/publications/silent-updates/

Just a question: How many AVERAGE users will go to about:support to read the version number?

Because there is a ton of websites (banks, public services, etc) that display a disclaimer about browser versions necessary to access to their services.
Comment 55 Asa Dotzler [:asa] 2011-08-15 16:49:18 PDT
(In reply to Mike Shaver (:shaver) from comment #52)
> Like a boss.

When Slashdot and HN link to your bug, it's advisable to eat some chicken strips.
Comment 56 Yvan Boily [:ygjb][:yvan] 2011-08-15 16:57:42 PDT
Does it make sense to include a link to about:support in the about box for users who aren't aware of the change?
Comment 57 jra 2011-08-15 17:36:34 PDT
"the phasing out of version numbers."

Version numbers are a contract between the programmer and the support team; if you phase out version numbers, may you have to support it some day.

I won't have to, because if Firefox drops version numbering entirely, I will be dropping Firefox, no matter how much pain that causes me.  If this plan bears fruit, it will have become apparent to me -- and I'm quite certain I'm not alone -- that the release management team behind Firefox have lost (the rest of) their marbles (the first chunk of their marbles having been lost when someone said "we don't care about IT departments" in public).

And We Are Not Alone, anymore.

This article suggests that Asa not caring what IT departments think is Just Fine:

http://www.extremetech.com/computing/88116-mozilla-not-concerned-about-enterprise-firefox-installs-and-thats-just-fine

but has either that author, or Asa, considered *where those end-user downloads come from*?  What percentage of them are driven by IT pros, who are "my geeky friend"?

<sigh>
Comment 58 mark 2011-08-15 17:40:12 PDT
Firefox isn't a web application, it's a desktop application. It should conform to user expectations for desktop applications. I see no benefit to removing the version number from the about window. When I'm using Firefox I want to know two things:

1. I want to know which particular release of Firefox I'm using. The version number tells me that.

2. I want to know whether or not the release I'm using is the latest release. The update check information ("Firefox checked for updates 20 minutes ago, you are running the latest release.") tells me that.


The about window shouldn't exclusively have one piece of information or the other. It should have both. The version number is useful and making it less accessible and less discoverable makes Firefox less usable.
Comment 59 brett+mozbugzilla 2011-08-15 18:12:07 PDT
As someone in support who works with old web apps that need specific versions of FF for some webapps and needs to know specific versions to fix and test other problems and whose customers are sometimes as dumb as rocks, an easy way to get to the version number is a must and most people have been asked to go to help | about before but few have been asked to go to about:support. In the end I don't really care if it goes away in about box so long as its available somewhere as easy as a couple clicks or typing in about:support, but it sure would make life easier if it stayed in help about. Honestly I don't really get this fuss about using a 2 minute old browser in the first place, even in non corporate environments. Whatever happened to LTS and stable versions of things? I've personally switched to Chrome as it works better, even though I don't like some things, but I was an avid FF/mozilla user for years and still support it for many others. Just FYI, these days we recommend chrome- it seems to work better. We recommend it to about 600 people a day...
Comment 60 Mek 2011-08-15 20:32:17 PDT
    Version numbers don't offer insightful semantic information. They are as useless as route numbers on highway signs. Everyone understands directions so well that it makes sense to remove route numbers. Besides, it would be a lot easier taking public transit. That way, no one has to worry about directions.

    The same should be true in the software world. I strongly urge all source code management systems and Version Control Systems to be referred to simply as "control systems". "Control systems" offers greater semantic understanding.

    Also, vaccines. Why do vaccines even have names? They're always Latin. I can never understand them. Why not just give me the shots I need? Besides, the doctors know best. It would be irresponsible for a doctor in training to question their knowledge. The same should be true for developers. If you want to understand the root of a bug, just add more code (instead of reverting to a previous version -- because versions should be eliminated). There's no point having an organized way to search through previous branches or versions of code anyways. Besides, MicroSoft has been hugely successful as releasing millions of updates to their users to fix bugs.

    As I learned from reading, "JavaScript, the good parts", the reality is, if we leverage bad code to create new abstractions, we'll eventually fix bugs.

    Also, Linux should adopt the same strategy. After all, it seems like everything settled after 2.6.x. Why are there even different distributions? Everyone's hardware is pretty much the same. No one uses 32 bit architectures, for instance, and everyone runs x86 64.

    And bug reports. Bug reports shouldn't really have numbers. If an bug occurs once in code, it may occur again in a previous version! Let's just say it suffices to say a bug once existed. We should check for that bug in every release. Well just give the bugs cute names like, "Lady Bug". That and there should not be a 1 to 1 mapping between bugs and bug names.

    I think it's a bad idea to have the version number in about:support. If it's not meant to be shown in info/about, it wasn't meant to be anywhere.

    Also, bananas. Bananas shouldn't have those funny bar codes on them at the super market. I've seen small food stands sell bananas fine without them. Who cares if those bar codes help people index inventory and automate processes. I'd rather know that it's the freshest banana. Imagine using a banana bar code to actually see where it came from or what date it was packed, or who supplied it! I want to know the shop keeper checked 2 hours ago.

    Also, enough of these 'social standards' and 'expectations' arguments. Didn't you learn from Google? The solution is simplicity. Get with the times. No one uses names anymore, they just say, "Hey dude" or "yo". The browser needs to become intrusive and colloquial.

    Which brings me to the real discussion point. I think the name Firefox may be misleading as I often misconstrue it subliminally as political agenda to get people at Fox fired. Wouldn't it be best to avoid this kind of negative publicity by eliminating the name all together? Well, we don't have to eliminate it all together. We can put this information under browser:name- followed by some special developers API key.

    The developer will then be prompted by a password which can be unlocked by firing up an instance of Clojure over the JVM and using sha2 to hash their SSN concatenated with their private key. This way Mozilla can be completely transparent with their users.

    In conclusion, development occurs faster, statistically, when developers don't have to type in version numbers. I hope you are convinced by my compelling argument, as this is a serious issue.

    I think I have a solution to this bug. What if Mozilla sells special developer glasses which will allow devs to see the version number on the about page?
Comment 62 Ray Morris 2011-08-15 21:26:42 PDT
This would increase compatibilty issues by making it more difficult for web 
developers to reproduce and diagnose compatibilty issues with specific versions.
Comment 63 Ray Morris 2011-08-15 22:13:41 PDT
A solution that gites the needs and desires of both sides:

It is desired that all users be current, and that the About box tell them so, without a version number. The simple solution is this: If they are current, it says so. If they are NOT current, "your version is not current. This is version 4.2. Click here update." That gives the people who just want to say "you are u way, if indeed they are up to date, and allows people identify a specific version, either as "the current version number identifying a specific older version.

Asa - I have finally learned a very important life lesson:
IWhen someone disagrees with you, make your case if it's important.
When it seems that practically EVERYONE disagrees with you, consider that they probably have a good point and you should reconsider your position.
Comment 64 Ray Morris 2011-08-15 22:19:49 PDT
My post got mangled. It should have said:

It is desired that all users be current, and that the About box tell them so, without a version number. The simple solution is this: If they are current, it says so. No version number needed if they are current.

If they are NOT current, it says "your version is not current. This is version 4.2. Click here update." That gives the people who just want to say "you are up to date" their way, if indeed they are up to date, and allows people to identify a specific version, either as "the current version" or a number identifying a specific version, if it's not up to date.
Comment 65 bogas04 2011-08-15 22:25:22 PDT
=> All softwares show version number in about window , even windows does.

=> It obvious target to find version number , changing it will break consistency, would make troubleshooting pain

=> About window currently just uses 3 characters to represent version number , and doesn't catch eye too soon , no point removing it when its seldom noticed.

=> Why fix it when it's not broken? Same amount of time could be used to fix couple of bugs

=> People using aurora , nightly etc won't know which version has reached to that channel. Its like we are taking away names from browser, making everything complex. "The August 2011 firefox has fixes from aurora week 10 to week 16."

=> Version number is not ONLY used for updating. "Firefox 5 vs Chrome 13 benchmarks" ,"Addons for Firefox 4" ," How to speed up Firefox 7" , "How to fix XYZ bug in firefox 6 " , "Is firefox 8 better than firefox 7?" etc. Making people go to complex pages like about:buildconfig etc will just make it worse. It might require to revamp all about pages and just waste development time.

=> Even chrome shows version number :P

We are just wasting time. We can add up "You are running older version please update" beneath the version number and make it more informative .
Comment 66 Asa Dotzler [:asa] 2011-08-15 22:26:53 PDT
(In reply to Ray Morris from comment #64)
> My post got mangled. It should have said:
> 
> It is desired that all users be current, and that the About box tell them
> so, without a version number. The simple solution is this: If they are
> current, it says so. No version number needed if they are current.
> 
> If they are NOT current, it says "your version is not current. This is
> version 4.2. Click here update." That gives the people who just want to say
> "you are up to date" their way, if indeed they are up to date, and allows
> people to identify a specific version, either as "the current version" or a
> number identifying a specific version, if it's not up to date.

Ray, this is basically the solution proposed here with one exception.

Users who aren't current will simply be made current. Users cannot sit on Firefox 4.x They will be updated to the latest version when they open the About dialog (or sooner) because all* but the current Firefox release are unsupported versions in the new rapid release cycle. Those not current versions do not not get critical security updates except via the current version. Firefox users will not be spread across Firefox 4, 5, 6, etc. They will be on the latest version or they will be about to be on the latest version.

*Firefox 3.6 being the one exception. Mozilla has agreed to give security updates to this one older version while Mozilla sorts out its plans for enterprises.
Comment 67 kwanbis 2011-08-15 23:11:51 PDT
> Users who aren't current will simply be made current. Users cannot sit on
> Firefox 4.x They will be updated to the latest version when they open the
> About dialog (or sooner) because all* but the current Firefox release are
> unsupported versions in the new rapid release cycle. Those not current
> versions do not not get critical security updates except via the current
> version. Firefox users will not be spread across Firefox 4, 5, 6, etc. They
> will be on the latest version or they will be about to be on the latest
> version.
Asa, so what happens when web app XYZ works with FF 10, but not with FF 11, would I be forced to move to FF 11 anyway? I really do not like this behavior.

And even if we wanted this behavior OK, what is the problem with having the version number and the latest version check on the about? You can even make the version number text smaller if you don't want it. But again, I don't see a problem with showing a version number along the check text, and a lot of issues/complains without the version number.
Comment 68 imradyurrad 2011-08-15 23:49:23 PDT
This is pointless. Why not just stop changing the version number every two weeks? People were perfectly fine with #.x, #.x.x, etc. Basically, you're trying to cover for the bad idea of trying to copy Chrome's ridiculous numbering system by not even showing the version. And sure, you can always use the about:support page or whatever but why create the unnecessary complexity? 

The UX team needs to stop nitpicking every single "nuance" they can come up with and work on the papercut bugs. Those actually matter.
Comment 69 Jon Alper 2011-08-15 23:51:12 PDT
The hubris involved in this plan borders on the surreal.

1) It's not Mozilla's decision when or if a user updates. It's the USER'S decision.
2) The assumption that the new bugs (or features) are always better than the old bugs is optimistic at best.
3) The assumption that every user of a web browser has the necessary persistent and high bandwidth connection to the internet to be able to update whenever Mozilla wants to push an update  isn't based in reality. In truth, it verges on being  insulting to the millions of users not so fortunate.  Add the increasingly common scenario that many users who have persistent broadband may be paying for it by the bit for all or part of their usage and it gets worse.
4) It's a decision that will make the hundreds of thousands of people, from devs building Add-ons to IT folk managing deployment and in-house applications, who support end-users lives more difficult.

It's also simply too-clever-by-half.  Yes, you stipulate that about:support will still provide the information but by tossing aside the convention users have come to expect to find this information, nothing productive is achieved. 

A user who disables version checking (and they damned well should be able to disable phoning home if they choose to or if their IT dept. chooses to disable it) will be presented with a UE that either misleads them that they are current when they aren't or creates unnecessary anxiety that they may not be current when they may not need, or want, to care. 

"Because removing the version number is half of the goal of this change." No, removing the version number is half the TASK of this change. What's the GOAL? What *USER* benefit is served here?

The goal of increased uptake of the latest version may seem a laudable effort to help users avoid security and content fidelity problems, the flip-side is that it leads to reduced q/c effort and a machine gun release schedule.
Comment 70 Andreas Tille 2011-08-15 23:59:39 PDT
Hi,

please regard

  https://www.theopensourceway.org/wiki/How_to_tell_if_a_FLOSS_project_is_doomed_to_FAIL#Releases

Kind regards

        Andreas.
Comment 71 Mek 2011-08-16 00:16:43 PDT
Aside from my previous sarcastic comments, I have a concern.

This modification seems very strange as it would appear to undermine (though granted it is not inconsistent with) the philosophy of the Mozilla Public License which states under Section 3.6, Distribution Obligations - Distribution of Executable Versions (see about:license):

"You may distribute Covered Code in Executable form only if the requirements of Sections 3.1, 3.2, 3.3, 3.4 and 3.5 have been met for that Covered Code, and if You include a notice stating that the Source Code version of the Covered Code is available under the terms of this License, including a description of how and where You have fulfilled the obligations of Section 3.2." 

and the important part...

"The notice must be conspicuously included in any notice in an Executable version, related documentation or collateral in which You describe recipients' rights relating to the Covered Code."

I am not claiming this is a legal issue (because its not). However, I would argue there is a direct correlation between users' rights and unique versions (as the license makes it a priority to note) of Firefox.

In participating in an action which will update one's software to a new version, a recipient should be rightly informed of their current version (as well as the version post update) in order to review the implications of said change, as it pertains to licensing and responsible use of said software and extensions, (etc.) and that such information should be presented in a manner which is readily accessible and not abstracted away.

On a separate issue, if I were to notice a new feature introduced into Firefox and had the intention to use code from said version within a project, I would like to be able to easily attribute said code to the correct version as to be compliant with the Mozilla Public License.

I feel Mozilla fulfills their obligation by sneaking the version number in about:support, however, the recommend change is (in my opinion) a step backwards with respect to user trust and accessibility.

I know in the past, I've been at the 'latest release' with respect to my package manager's repository on one GNU Linux distro, yet the behavior demonstrated by my browser was not consistent on my other machine. Checking the versions in this case is extremely helpful to me.
Comment 72 Asa Dotzler [:asa] 2011-08-16 00:38:07 PDT
(In reply to Mek from comment #71)
> On a separate issue, if I were to notice a new feature introduced into
> Firefox and had the intention to use code from said version within a
> project, I would like to be able to easily attribute said code to the
> correct version as to be compliant with the Mozilla Public License.

If you want to use the code, you'll go get the code and attribute it appropriately and neither of those things have anything to do with the Firefox binaries that Mozilla produces.  But, you'll be happy to find the about:buildconfig link from the Help->Troubleshooting window in Firefox where you can see the precise change set the build was created from. \o/ Isn't it great how easy Mozilla makes this for you? You don't even have to guess at how build dates match up with source revisions. You can get the precise revision right from Firefox's Troubleshooting page (along with the version, the build ID, and lots of other great info.) Joy!
Comment 73 Mek 2011-08-16 00:56:39 PDT
(In reply to Asa Dotzler [:asa] from comment #72)
> (In reply to Mek from comment #71)
> > On a separate issue, if I were to notice a new feature introduced into
> > Firefox and had the intention to use code from said version within a
> > project, I would like to be able to easily attribute said code to the
> > correct version as to be compliant with the Mozilla Public License.
> 
> If you want to use the code, you'll go get the code and attribute it
> appropriately and neither of those things have anything to do with the
> Firefox binaries that Mozilla produces.  But, you'll be happy to find the
> about:buildconfig link from the Help->Troubleshooting window in Firefox
> where you can see the precise change set the build was created from. \o/
> Isn't it great how easy Mozilla makes this for you? You don't even have to
> guess at how build dates match up with source revisions. You can get the
> precise revision right from Firefox's Troubleshooting page (along with the
> version, the build ID, and lots of other great info.) Joy!

That is indeed quite good! I wish that information had been more accessible to me. Perhaps adding it to the About page?
Comment 74 Asa Dotzler [:asa] 2011-08-16 01:00:05 PDT
(In reply to Mek from comment #73)
> (In reply to Asa Dotzler [:asa] from comment #72)
> > (In reply to Mek from comment #71)
> > > On a separate issue, if I were to notice a new feature introduced into
> > > Firefox and had the intention to use code from said version within a
> > > project, I would like to be able to easily attribute said code to the
> > > correct version as to be compliant with the Mozilla Public License.
> > 
> > If you want to use the code, you'll go get the code and attribute it
> > appropriately and neither of those things have anything to do with the
> > Firefox binaries that Mozilla produces.  But, you'll be happy to find the
> > about:buildconfig link from the Help->Troubleshooting window in Firefox
> > where you can see the precise change set the build was created from. \o/
> > Isn't it great how easy Mozilla makes this for you? You don't even have to
> > guess at how build dates match up with source revisions. You can get the
> > precise revision right from Firefox's Troubleshooting page (along with the
> > version, the build ID, and lots of other great info.) Joy!
> 
> That is indeed quite good! I wish that information had been more accessible
> to me. Perhaps adding it to the About page?

No.
Comment 75 Willy_ Foo_Foo 2011-08-16 02:32:51 PDT
(In reply to Mek from comment #71)
the recommend change is (in my opinion) a step
backwards with respect to user trust and accessibility.

But why make things complex for the *Average user*
Its not broken ! why fix it??
Plus how will it affect users who use multiple builds?
If about:support is so imp then why not put it as a link below ver no?

Plus(off topic but imp)
when using nightly it should also update all addons to the latest stable builds(check updates for stable ie- 6 or any ver not nightly as it is not supported currently & does not auto update addons)
It would help a lot to test the latest addons to see if anything is broken or needs a fix
instead of going on hunting to see if any new version of addon breaks my addons or plugins
Comment 76 T3st3r 2011-08-16 02:47:33 PDT
Hey, guys, you seems to be seriously mad. Why the hell on the Earth you need to remove version from about window?! It's like removing buttons from keyboard! Are you on drugs or what? Finally after all years spent with Mozilla it looks like if I have to SERIOUSLY seek for another browser. Since you are clearly got mad.

First, because you seriously consider this bug at all. You're crazy! 

Second, because you believe your user is complete retard. And since I'm not retard, I have to seek for something better than that. 

Third, because it's unpleasant idea to sail in the boat full of crazy guys who believes that version in about is a major issue. 

Fourth, because you're wasting time on this **** instead of improving browser.

Actually, FF will be the very first program where this bullsh-- takes place.
Comment 77 An. Onym. 2011-08-16 03:28:39 PDT
For what is the about window existing, if there isn't even the version number?

If you remove the number, please remove the whole about window.

This whole "the more we remove the better" principle is wrong.
Comment 78 Virtual_ManPL [:Virtual] - (ni? me) 2011-08-16 04:38:40 PDT
I agree with this bug, but it will need enabled option like not prompted auto-update with min. daily checking for updates.
Looks like better version of Chrome mode of updating app.
Comment 79 CoffeeCup 2011-08-16 05:23:46 PDT
I don't like this 6-week release cycle to begin with. I love X.XX and see no point to change version number like google chrome do. What can we get from that, higher version number than IEM And now drop version number!?

No channel switcher, okay, not much problem. But no version number? Right now its already too short! It really give me headache not knowing which beta version I use. But at least I still know which beta of major version I use. But now...

I abandoned IE seven years ago, but...carefully move Firefox, IE9 is really good...
Comment 80 Oz Wodshott 2011-08-16 05:36:41 PDT
As a support agent for a school district that has a vendor whose software does not play nice with newer versions of Firefox I can assure you if you force the client to update automatically to the most recent version we will stop including it on our default images and machines. I love Firefox, but the district has $0.00 invested in it and millions in several other software platforms that play nice with 3.6.19 but are buggy on subsequent versions. A mandated update will find Firefox unwelcome at best and discarded at worst. I highly recommend an opt-out feature for this software. Another issue would be that Mozilla would be burning our bandwidth on their schedule instead of use pushing an updated package from within. This does impact network performance. I hope this isn't yet another anti-enterprise move on the part of Mozilla.
Comment 81 Silanea 2011-08-16 05:43:22 PDT
In response to comment 66:

Asa, this is exactly what is wrong with the whole version numbers issue:
"Firefox 3.6 being the one exception. Mozilla has agreed to give security updates to this one older version while Mozilla sorts out its plans for enterprises."

You are putting the cart before the horse. FIRST sort out your plans for all significant user groups, THEN produce a roadmap for your vision, and THEN bring disruptive changes on the table.

To put this into more concrete terms:
- First discuss with enterprises which requirements they have. I know from my company that many regulations and contracts mandate vetting of defined states of applications, and currently the best way to do this is based on version numbers. Commit numbers may be an alternative. Build dates, as has often been suggested, are not. We need one unique unambiguous identifier for each state of Firefox. Find one that everyone can work with.
- Then implement those silent updates in a way that both carries your vision and fulfills the needs of your users. Revamp the way extension compatibility is handled so that they transition away from comparing version number strings to some other mechanism that works independently, best by some form of capabilities interface.
- And then and ONLY then talk publicly about removing the version number from any consumer-facing side by explaining that it has been technically irrelevant for some time, anyway.

Sorry for going somewhat OT: Right now all the UX activity going on since FF4 gives the impression that every other week one of the UX folks throws a fit and two days later something in the browser gets deleted from the interface. If you have a coherent, all-encompassing vision for where you want Firefox to be in two years, you are not communicating it very well. UX discussions are scattered across Google groups, blogs, the wiki and all kinds of websites. Labs projects are started and choked off again with little feedback. It all gives the appearance of randomness.
Comment 82 ayucyruz 2011-08-16 05:44:17 PDT
Here's something else the people don't need:
NavBar: It's much too complicated for users to enter a URL, there's Google for that!
Browser name: People don't need to know the name of the software they're using.
Settings button: It's too **** the people to confront them with so many options. They actually want to browse the web, not change any settings, right?

Let's get to work!

Not my words, yet true to the core. Source: http://www.heise.de/ix/news/foren/S-Was-die-Nutzer-auch-nicht-brauchen/forum-207368/msg-20644787/read/
Comment 83 Travis Smith 2011-08-16 05:56:37 PDT
Hello,

I just wanted to contribute something as a linux user, who like many other linux users, will require all application updates to be done through the system's package manager. To make that very clear, *Firefox will not be able to update itself on any of my computers*.

This means that the Help -> About window is always going to tell me that my version is not current, and there will never be anything it can do about that. I'll always be up to date with my package manager, and that should be enough.

If the goal is to add something to tell me whether I'm up to date or not, I'd like to see *two* version numbers; 1) My current version and 2) the latest available version. Even if my distro does not have a package for that version yet, at least I'll know how far behind I am, rather than "You are not current."

Finally, as a side note, I feel that the concern around skyrocketing version numbers (since the new release cycle) is the underlying cause for this "bug". Hide the number and people will stop caring, right? Frankly if you're going to go with a time-based release, do as others have suggested and use a time-based version number instead.
Comment 84 aydreeuhn 2011-08-16 06:03:42 PDT
How is this a bug?
Comment 85 Robert Kaiser 2011-08-16 06:21:42 PDT
Can we close this bug report? After being linked by clueless reporters, this is getting spammed with comments that don't add anything new to the topic, i.e. which break the Bugzilla etiquette, and with comments from people who don't understand that every task to care about at Mozilla is called a "bug" due to having a Bugzilla entry.

If any useful work is to come from all this, we should put it into a different report that is not explicitely linked in this one, and have to-the-point work-related commenting there, without all this stuff from people who have not learned yet that Bugzilla is not for advocacy but for work. The newsgroup / mailing list thread can be used for advocacy.

I personally understand both sides of the arguments but don't think too strongly about either side, given my understanding of version numbers, which I already pointed out in the newsgroup as well:

Version numbers in software are like coordinate systems in physics: irrelevant and necessary at the same time - it's completely irrelevant how you do them, but they provide necessary reference points. Not more, not less.

Where ever we go with this, I don't think it will have either a large impact on version number messaging or on making Firefox useless, so I think the rage on both sides is overrated, let's get this to a civilized level and into the right forums for the right things. This Bugzilla entry (a.k.a. "bug") has been mostly rendered useless for either discussion or implementation and IMHO just should be closed.
Comment 86 Ray Morris 2011-08-16 07:12:45 PDT
(In reply to Asa Dotzler [:asa] from comment #66)
> > 
> > It is desired that all users be current, and that the About box tell them
> > so, without a version number. The simple solution is this: If they are
> > current, it says so. No version number needed if they are current.
> > 
> > If they are NOT current, it says "your version is not current. This is
> > version 4.2. Click here update." That gives the people who just want to say
> > "you are up to date" their way, if indeed they are up to date, and allows
> > people to identify a specific version, either as "the current version" or a
> > number identifying a specific version, if it's not up to date.
> 
> Ray, this is basically the solution proposed here with one exception.
> 
> Users who aren't current will simply be made current. Users cannot sit on
> Firefox 4.x They will be updated to the latest version when they open the
> About dialog (or sooner) 

Thank you for your response.

Some commenters have "attacked" the bug and even the person opening it.
If I were in Asa's shoes right now, I would probably be feeling very defensive
and it would be hard to have a reasoned discussion or see other people's point
of view when those other people are attacking.

They will be made current IF they run their GUI as root. For 99.99% of those 
users running a serious OS, Firefox can not automatically update itself without
permission. For users running a home computer OS from MS, you _could_ force 
updates, for now, though that may well change as MS gets more serious about 
security. For enterprise grade systems, you are not doing automatic updates 
because it's not running as root. There are of course many other reasons 
it might not be updated. Sometimes the updater breaks, we know. Corporate
firewall, anyone? It may be only 10% or even 5% that aren't up to date, but 
we know some will not be up to date. Can we say LiveCD?

Showing the version number _when_it's_not_current_ in no way detracts from the 
goal I believe. Still, if I were in Asa's shoes, feeling defensive because I 
am under attack, I might not yield on that point just because of a need to 
stand my ground.

There is no doubt that some will be out of date due to all of the reasons 
listed above. Is there some really important reason to NOT show the version 
when it's out of date? Even if there is, is there not equal value in addressing 
the needs of thousands of people who say it's important TO THEM to have 
that information readily accessible for the typical end user to report?
Comment 87 Christoph Anton Mitterer 2011-08-16 07:43:29 PDT
Wow I can't believe it....

Some clever guy once said something like... if you make software for idiots, only idiots will use it...

Guess it's time that FF is forked, to something which goes back as being intended for expert users...
Without addons like tab mix plus you can nearly throw it away anyways... as so many features are missing from the base firefox.
Comment 88 thomas stember 2011-08-16 07:51:04 PDT
(In reply to Asa Dotzler [:asa] from comment #0)
> When a user opens the About window for Firefox, the window should say
> something like "Firefox checked for updates 20 minutes ago, you are running
> the latest release."
> 
> It is important to say when the last check happened and ideally to do the
> check when the dialog is launched so that time is very near and to drop the
> version and simply tell them they're on the latest or not.
> 
> If a user needs the full version information they can get it from
> about:support.
> 
> This will of course have L10n implications. Not sure what the right way to
> note that is so I've cc'd Axel :-)

have u hacked out your brains version number and lost control if its up2date or not ?
Comment 89 Konomi 2011-08-16 08:43:25 PDT
>If any useful work is to come from all this, we should put it into a different report that is not explicitely linked in this one, and have to-the-point work-related commenting there, without all this stuff from people who have not learned yet that Bugzilla is not for advocacy but for work. The newsgroup / mailing list thread can be used for advocacy.

I like the idea of moving this to another unlinked bug report so it can have more of a chance of being implemented cause no one can complain about the problems they see with it, the majority of the comments here have been very on-topic with 1 or 5 rude posts (and yes I read them all). Insert sarcasm.
Comment 90 nullgm 2011-08-16 09:12:28 PDT
Firefox is just a platform for my addons, you know what i think when i see a "Download new version now" pop up? I wonder if this update will break my addons.
So you switch to a rapid development cycle and people who are up to date suddenly dont have their favorite addon anymore.
Firefox is many peoples favorite browser because their favorite addon is in it. If i just wanted a browser that opened web pages i would use IE.
Mend the gap between addon compatibility and the rapid development cycle and you wont need hacks like hiding the version number to make people update.
Comment 91 Sebastian 2011-08-16 10:03:22 PDT
So you get criticism for the new plans of updating and now you present this? I dont get it.
I think what mozilla should do would be:
* If you want the dumb people to see a "Newest version is in use" then let the actual installed version number still be in the same window for the pros. Or for the dumb people that ask pros for help. I never understand developer that take out professional features only by pointing to the mass of people that cant use it anyway.
* Keep the security updates. (For what kind of people do you develop?)
* Let people chose to install or not install version updates that can break plugins. I hate it when plugins vanish and would hate it even more when it is happening because mozilla developer thinks im too dumb to chose if i want to update.

If this whole development is still moving into the direction of stupid-peoples-browser i think you will kill your real user-base.
Comment 92 Victor V. Terber 2011-08-16 10:26:01 PDT
Please don't implement the "bug".

- It's not a bug.
- It's breaks expectations of most users.
- It makes supporting FF users harder - not everyone knows where to type "about:support", even wehen you try to explain it by phone.
- While the downsides are obvious to most people, the benefits remain completely unclear (at least for the case that the version number is shown ADDITIONALLY to the proposed "you are running the latest release" information in the about box).
Comment 93 Sergey 2011-08-16 10:30:26 PDT
Its really not good idea when user cant control software :( User cant even describe which version run. Trying to get help on Inet what user shoud say?
- My latest FF cant do someth?
- Updated today cant do?

Should user try to find buildno somewhere in about:support?
You really think ppl will be happy do it?

Looks like Asa uses Mozilla to get cheep popularity, nothing else :(

PS. Removing FF functionality cant be considered as BUG.
Comment 94 d 2011-08-16 10:35:42 PDT
(In reply to Sergey from comment #93)
> PS. Removing FF functionality cant be considered as BUG.

Who said it was a bug?
Comment 95 Caitlin 2011-08-16 11:44:20 PDT
@Magne Andersson: Asa says it's a bug, at least indirectly. Its presence on BUGzilla makes it a "bug".

To all: it's been mentioned several times that this is an inappropriate forum for this discussion. However, an understandable reference to the suggested discussion forum has not been given. Please provide a link or instructions.
Comment 96 Thomas Ahlblom 2011-08-16 12:00:23 PDT
(In reply to Caitlin from comment #95) 
> To all: it's been mentioned several times that this is an inappropriate
> forum for this discussion. However, an understandable reference to the
> suggested discussion forum has not been given. Please provide a link or
> instructions.

A non-acronym reference to the mozilla.dev.usability thread was added in the URL field in comment 17.
Comment 97 marcin.tustin 2011-08-16 12:51:10 PDT
FOR THE LOVE OF ALL THAT'S HOLY DO NOT DO THIS

TL;DR: This change makes sense if websites are only built to be viewed by people who can upgrade their browser whenever they like. Supporting corporate users will be an absolute nightmare.

If users complain that "it's not working on firefox", it helps the developer (me) to know what version the user is using, so I can know if they've hit a limitation in firefox's standards support, or if I've got a simple bug. It also means that they can ask their IT support people to upgrade to a specific version.

This matters because there are stupidly conservative IT managers who will refuse to upgrade to anything remotely new, in case there are unknown security or other problems (they prefer to have more problems, which are more widely known). 

If you do this, it will make it much more difficult to communicate to users what is the oldest supported version of firefox, it will make it more difficult to understand their issues, and it will make it more difficult for them and me to communicate with irrational in-house IT support.

One other problem is that this will make it more difficult for people to gather and understand statistics on which browser versions are in use, both generally, and by their customer base. This will make it more difficult to know which enhancements to firefox are safe to use, and which are not. If you do this, it will throw us onto very conservative development practices, such as have afflicted the web because of Internet Explorer's giant legacy installation base.

In particular, with the rapid turn over from FF4 to FF5, that fixed a number of issues, and it was easy to communicate to users that they needed to upgrade. Without that, there would be a cycle of asking the user to upgrade their browser, them reporting that they did, and it taking time to establish that their attempted upgrade was unsuccessful.
Comment 98 Daniel 2011-08-16 13:01:18 PDT
Haters gonna hate. And probably there will someone will create an addon that brings back the version number to the about window.
Comment 101 Gary E. Miller 2011-08-16 13:41:36 PDT
I love what the Firefox team is doing in general, but as a support person I can tell you that removing the version number from the about box will give us many
headaches.  

Please do not do it!
Comment 102 hhardy01@gmail.com 2011-08-16 15:16:10 PDT
It is precisely wrong to say that users don't need to know what version of the software they are running. I work as a web admin for a research university and we have several pieces of software used campus-wide that work only with versions of Firefox higher, or lower, than a certain release. 

What I don't understand is how someone could come up with an idea so obviously wrongheaded and foolish, or how anyone else would do anything but ROFL over it.
Comment 103 Andreas 2011-08-16 15:41:18 PDT
@Asa:

By removing version numbers from the About dialogue you are breaking something that worked before:
* average users know to look for a version number in the About dialoge - they have done this for ages with different kinds of software on different operating systems
* support desk people are already shocked by your plan (as you can read in IT related forums like that of slashdot.org, Heise.de, etc.), because now making sure the user can tell the version number is a lot more problematic. I have read actual sketch scripts today ridiculing the kind of frustrating support dialogues your decision is going to cause
* by providing the version number through about:support you admit it is still important information. But by removing it from the average user's view you claim to know better than the user what they need/want. Not good.
* addon developers also seem to not be really happy. Of course you might argue there is a plugin API version number as well - but how are simple users going to find THAT if they don't even find the program's version number any more.
* one developer has even published an addon that displays the version number in the status bar already

I am really concerned about the way you try to silence dissenting people who commented on this "bug" by threatening to take away their "privilege" to post here.

By the way: "Respect your users or you will lose them. With Firefox, the user is no longer just a spectator, he's a participant. Play nice or face extinction. Seriously." -- Who was the guy who said this? You? In a different universe?

Kind regards

Andreas
Comment 104 Timothy 2011-08-16 15:47:02 PDT
There are networks which are not the internet but are extremely large in size and will never connect to the internet.  How would firefox used on these networks be verified for security compliance with no version information?  How would these firefox's be updated?  Currently all of this information flow is centered around versioning.  Without an alternate plan to support firefox's which will never connect to the internet you will weaken the usefullness of this browser considerably.
Comment 105 Asa Dotzler [:asa] 2011-08-16 17:33:29 PDT
(In reply to Timothy from comment #104)
> There are networks which are not the internet but are extremely large in
> size and will never connect to the internet.  How would firefox used on
> these networks be verified for security compliance with no version
> information?  

Firefox in it's current form doesn't work on these systems. The presence of the version number in the about dialog or the troubleshooting dialog makes zero difference here. In situations like this, the network or desktop administrator should be managing user updates.
Comment 106 bogas04 2011-08-16 17:45:01 PDT
Why are we trolling so much :/ Version number in about window is more of a standard now among all softwares , removing it will just make half of audience complain and the statusbar > addonbar > partial statusbar or the pinwheel > progress line > pin wheel era will return again, wasting time resources ...
Comment 107 shazam001 2011-08-16 19:44:30 PDT
I was wondering if any other numbering schemes were proposed when this rapid-release schedule was proposed.  The updates themselves are great and gets updates and fixes in the hands of the users faster.  The rapidly increasing numbers reminds me of Nvidia vs ATI with their video cards.  ATI had the higher number card (Geforce 6000 vs Radeon 8000) so a percentage of the public must think the ATI is better.

Instead of simply removing the number to hide the fact that the number is smaller (and therefore "not-as-good") than Chrome, change the scheme to your advantage and make it easier for the user to understand.

This appears to be mostly a Windows-user issue because Linux users are seen as "power users".  Perhaps use the term "service pack" for updates.  It's something Windows users hear and understand.
Example: Mozilla Firefox 6 sp1 or Mozilla Firefox 2011 sp1.

Don't remove the version number, but transform it into something different from the competition to give yourself a marketing advantage.  You can even make the fact the version numbers of browsers change so much part of the marketing.
Comment 108 thomas.dee 2011-08-16 22:07:16 PDT
Honestly, I don't get it either. Adding an information about the last "update-check" is one thing. Removing the version number is another.

We don't need to talk about the benefit of the first one. But whats the benefit of the second?

As already said by MANY other devs in this bugs comments. Having a (for the enduser) simple way to know the version number is essential for our work to be sufferable. If I have to write a tutorial for those users just to know their version number then there's something VERY wrong. And what could be simpler than looking into the about dialog. Why is it called ABOUT-Dialog anyway? Because its ABOUT the FireFox I'm using. The information whether I'm up-to-date is nice. But the info about what I'm acutally running here is a must have. ESPECIALLY if this "product" updates itself in a week-cycle.

I KNOW that with this decision YOU will cost the web developers and its customers (in sum) a LOT of money.

I don't want to sound rude. But it appears that all those cool software companes/communities with its high rated developers just want to do some Apple like stuff. Do some "stupid" stepbacks (Multitasking? Copy-and-Pase? What for?) and call that "revolutionary usablilty".

You don't make Firefox any "better" just by removing the version number. You just give us developers one more reason to tell our customers NOT to use it.
Comment 109 SmoothPorcupine Pirate 2011-08-16 22:46:34 PDT
To compensate for the uncertainty created by pushing platform-specific updates, it might increase user confidence to says it something like, "You are running the latest Firefox for <platform>!"
Comment 110 Asa Dotzler [:asa] 2011-08-16 23:03:07 PDT
(In reply to SmoothPorcupine from comment #109)
> To compensate for the uncertainty created by pushing platform-specific
> updates, it might increase user confidence to says it something like, "You
> are running the latest Firefox for <platform>!"

Yeah. That might help some. The problem is the press reports and the tweets and the friends who simply say the version without the platform information. In that case, the platform info in About doesn't really help very much. This was a very real issue with Firefox 5 and Firefox 5.0.1 and the platform info might have been a clue that could have helped a few people but I suspect it wouldn't have helped clear up any confusion for most people. 

I like that thinking though. This kind of problem can be attacked from many angles.
Comment 111 [not reading bugmail] 2011-08-16 23:18:03 PDT
Without this type of information readily available, I agree it causes more wasted effort for everyone in the Mozilla ecosystem as they say, time is money.  Simpler is almost always better. 

We might even want to suggest to list most current version vs your version, click to upgrade or read about it here (c).

Or 

Maybe just put the all manage updates info in about:window and remove it from preference pane.  That way users can see it all in one place its disabled by IT, checked auto updates, or unchecked and which version is new and which version is old.
Comment 112 Christian Hernmarck 2011-08-17 00:23:40 PDT
I also have to say this is not a bug but will be a bug if you move the version information away from the about box. Adding infos about the newest ff is fine.

I'm always getting angry if I want to know the version info of a piece of software and it's not in the about box - each of them use a different place to put this info...
If the software is a sort of standalone software then the version info is maybe not very important. But if other software depends on it (addons etc) then I really see absolutely no reason to hide the version info from the user - or put it on a hidden place.

So please let the info stay in the about box.
Comment 113 Cronos 2011-08-17 00:45:55 PDT
I think the idea is not good because of two reasons.

Normally most users don't look at the version number, that much is true. But there is one situation it's an important information and this is when there is a problem. Now think about it. A user has a problem with Firefox and is frustrated because of it. He wants to find out what causes the problem and is unwillingly ready to search the net for it. But then it happens that not only there is a problem with Firefox but also that Firefox itself makes it *harder* to solve the problem. Because instead of solving the problem the user first has to search the net about how he can find something as basic as the version number. This takes time. So Firefox itself unnecessarily adds fuel to the frustration and makes a pretty bad impression in the most important situation. This also happens when the user is not well versed with computers and has to call someone else who might be able help. Especially in those kinds of situations the software should give any and every important information with two clicks in two seconds. Anything more will only do damage, especially in a situation where the user is not patient at all.

And then there is another and bigger problem: not everybody can speak English. Sure, some might get the impression that the whole world can write/read/speak English perfectly. But his is absolutely not the case. While the menus and dialogues are translated, the internal commands aren't. So "about:support" and especially "about:troubleshooting" is the worst way to do anything when you're someone who doesn't really know the language. Now the user also has to think about spelling and a different language. As a result, this idea adds unnecessary complexity to the whole process compared to two clicks on a menu that is translated. It seems that you never thought about international users when you had this idea.

In fact it also seems that you never thought of the users first. Everybody I know knows that this little bit of information is found in the About dialog. So why change it? Does this information make it harder to use Firefox? No. So why should Firefox break from the norm and do something the users don't expect? Any and every true usability expert will tell you that your app always should act how the users expect it to act.

The other thing is that you could basically remove the About dialog altogether because there is no important information anymore. When I look at the dialog in v5 there's nothing of importance (with the exception of the version number). I don't care that Firefox was designed by a global community so why do you write this? It feels more like an ad. I also don't need the information about what the community cares about. Seriously, why does the about dialog feel like an ad? More importantly, this ad/about window is aimed at people who could contribute to the community. In other words it's aimed at people that are rather well versed with computers. But most of the users aren't. So when you think about removing the version number you can remove the about window completely because your argument against version numbers also applies to that. Any functionality the about window contains can be placed somewhere else, like the Update button (why is it there, anyway?). Place that one in the Help menu. The useless privacy information, end user rights and licensing cal be placed in the help menu, too.
Comment 114 SD 2011-08-17 01:42:11 PDT
"If a user needs the full version information they can get it from about:support"

Sure, good idea. But way too easy. May I suggest to remove 'about:support' also? Or maybe user has to type 'about:support:w4qcav3', the latest being a passphrase given on mozilla.org, but only shown if the browser useragent is IE8...
Comment 115 kguru 2011-08-17 02:07:02 PDT
The about window could include a link that you could click on that would bring up about:support since most users would not know that it exists.  The link could say Support Information and could be on the same line as the license information, the end user rights, and the privacy policy.  This would encourage people to update frequently, while still making it possible for a user to find the support information.

I do think that moving to a system of simply calling Firefox versions by the date of release could be easy, something like Firefox 2011.08.17 would be the best idea to allow for flexible frequent updates, and that this would be best left to being the support information.  Version numbers once over about 10 start to become rather meaningless, and calendar dates would have a more significant place in showing how new the product the user is using, and would simply work for the developer and support teams.
Comment 116 [Baboo] 2011-08-17 02:14:13 PDT
(In reply to kguru from comment #115)
> Version numbers once over about
> 10 start to become rather meaningless, and calendar dates would have a more
> significant place in showing how new the product the user is using, and
> would simply work for the developer and support teams.

Exactly, therefore the idea to remove it. The user should always use the newest version since that is the only version supported. Therefore the only thing that should matter to the user is whether he is using the newest version or not.
Comment 117 marcin.tustin 2011-08-17 02:18:07 PDT
(In reply to [Baboo] from comment #116)
> (In reply to kguru from comment #115)
> > Version numbers once over about
> > 10 start to become rather meaningless, and calendar dates would have a more
> > significant place in showing how new the product the user is using, and
> > would simply work for the developer and support teams.
> 
> Exactly, therefore the idea to remove it. The user should always use the
> newest version since that is the only version supported. Therefore the only
> thing that should matter to the user is whether he is using the newest
> version or not.

I wasn't aware that Mozilla Foundation provides support for user desktops. However, I am aware that in house support teams and website operators do have to provide support to their paying users. It matters very much to them what version is in use, and they may not support the same versions as Mozilla Foundation.
Comment 118 [Baboo] 2011-08-17 02:28:38 PDT
(In reply to Sudaraka Wijesinghe from comment #25)
> 
> Scenario one
> User: Hey!, your site doesn't work.
> Web Guy: Really? What version of the browser you are running?

Web Guy: Really? Are you using the newest version?

> 
> Scenario two
> User: Hey plugin guy!, does your extension work with Firefox xx?

User: Hey plugin guy!, does your extension work with the newest version of Firefox which is the ONLY version I should use because it's the only version supported?

> 
> Scenario three:
> User: Dear Bugzilla, I tried to .... and it doesn't work on Firefox xx.

User: Dear Bugzilla, I tried to .... and it doesn't work on the newest version of Firefox. I might add that today is the 4th of February, 2012.

> I can keep going, but I hope you get the idea.

I hope you get the idea that under the new release cycle the average user is supposed to run only the one version, the newest.
Comment 119 [Baboo] 2011-08-17 02:32:47 PDT
(In reply to marcin.tustin from comment #117)
> I wasn't aware that Mozilla Foundation provides support for user desktops.
> However, I am aware that in house support teams and website operators do
> have to provide support to their paying users. It matters very much to them
> what version is in use, and they may not support the same versions as
> Mozilla Foundation.

Are you talking about people who backport security updates to older versions? Well, then it's a case of an internal fork in which if they are at it might add an patch that puts the version number back there. Or even better, let the update stuff point to their internal servers. So the message applies to their internal version.
Comment 120 marcin.tustin 2011-08-17 02:36:36 PDT
(In reply to [Baboo] from comment #119)
> (In reply to marcin.tustin from comment #117)
> > I wasn't aware that Mozilla Foundation provides support for user desktops.
> > However, I am aware that in house support teams and website operators do
> > have to provide support to their paying users. It matters very much to them
> > what version is in use, and they may not support the same versions as
> > Mozilla Foundation.
> 
> Are you talking about people who backport security updates to older
> versions? 

No, I'm talking about people who support software, like you know, support functions inside organisations, and support functions supporting paying customer of business who deliver their product through the web.

I can't believe that I have to explain that web browsers are used to browse websites. Firefox is not just used to entertain developers by allowing them to implement or port features.
Comment 121 marcin.tustin 2011-08-17 02:37:12 PDT
> I hope you get the idea that under the new release cycle the average user is
> supposed to run only the one version, the newest.

I imagine you live in a world where only things which are supposed to happen, happen.

Everyone here who is complaining lives in a world in which users don't do what they're told, software has different behaviour from that which it is supposed to have (you may have heard that called a "bug" in popular parlance, and been confused by it), and people commit crimes, even though they're not supposed to.

Any plan based on things working only as they're supposed to isn't worth the bits its written with.
Comment 122 [Baboo] 2011-08-17 02:47:37 PDT
(In reply to marcin.tustin from comment #120)
> I can't believe that I have to explain that web browsers are used to browse
> websites.

And web browsers used to browse websites should have the newest security updates, everything else is grossly negligent. But with the new release process Mozilla just offers security updates to the newest browser version, so that's the version that users should use. This bug here isn't about the rapid-release process but about adapting the UI to it.
Comment 123 marcin.tustin 2011-08-17 02:53:34 PDT
(In reply to [Baboo] from comment #122)
> (In reply to marcin.tustin from comment #120)
> > I can't believe that I have to explain that web browsers are used to browse
> > websites.
> 
> And web browsers used to browse websites should have the newest security
> updates, everything else is grossly negligent.

Really? I don't know what you do for a living, but I sure as **** have never come across anyone whose main issue with a browser was the security updates.

This "bug" is about removing information which allows people who actually have to support this software to understand which version their users are using. 

It's also not about security updates - new versions of Firefox may have changes to any part of the software.
Comment 124 [Baboo] 2011-08-17 03:12:27 PDT
(In reply to marcin.tustin from comment #123)
> 
> This "bug" is about removing information which allows people who actually
> have to support this software to understand which version their users are
> using. 

Why should they need to know that? Concerning the version they just need to assure that the Firefox version the user is using the newest one, an information the About dialog is going to deliver if the user is online. Do you want to make a case about offline users?
Comment 125 marcin.tustin 2011-08-17 03:19:50 PDT
(In reply to [Baboo] from comment #124)
> (In reply to marcin.tustin from comment #123)
> > 
> > This "bug" is about removing information which allows people who actually
> > have to support this software to understand which version their users are
> > using. 
> 
> Why should they need to know that? Concerning the version they just need to
> assure that the Firefox version the user is using the newest one

Because "are you using the latest version" is a question which invites a guess. "Please read this specific number from this specific place" does not.

I'm sure you'll say that there is no need to guess, but you know what? Software doesn't work as expected. Updates may fail to install. 

Finally, if I'm getting support calls, I would like to know what versions are causing users problems. And it will be certain versions, because bugs aren't magic, and they're not evenly spread: they are errors in specific versions of the software.

>, an
> information the About dialog is going to deliver if the user is online. Do
> you want to make a case about offline users?

Please explain who you think this change is going to help, and how you believe version numbers are used. You really do not seem to be living in the same world as everyone else who has left a comment.
Comment 126 Florian Maier 2011-08-17 04:31:02 PDT
I am also voting against the removal.

Other than that mentioned, we do a lot of internal testing for every new Firefox version to be rolled out, because there is a bunch of commercial software relying on Firefox (for example the public libraries in Munich).

There are a lot of support issues, where the easy acess to version information is vital for effective problem resolution.
Comment 127 Chris Eaton 2011-08-17 04:49:51 PDT
The problem with this line of reasoning is that the whole thing working hinges on users actually going into Help > About on their own to see if they have the current version.

They don't. That doesn't happen. Users (like say my parents, who only have FF because I gave it to them) don't know or care what version they have. They update when FF tells them to, or when I do it for them (if it doesn't happen automatically). They don't know or care that Help > About exists.

The people who DO use the version number are people like me, who tell them to go in there when something's broken and I'm 1400km away from their house and need something to go on for why the online banking site isn't working. For me, the version number is a key piece of information.

Removing the version number from Help > About doesn't help them, because they never go there anyway. It hurts me, because I need it and now I have to tell them to go into another different screen instead where apparently there will now be a version number. There's no gain here. It's just a huge PITA for support and developer types to "fix" something on a screen that normal users never see anyway.

Oh, and this change also breaks UI guidelines for every major OS that FF runs on. The single best thing for usability is consistency, and becoming inconsistent for no gain doesn't make any sense at all. This should be closed as WONTFIX, it's perfectly fine the way it is.
Comment 128 Robert Kaiser 2011-08-17 04:53:00 PDT
(In reply to Asa Dotzler [:asa] from comment #110)
> Yeah. That might help some. The problem is the press reports and the tweets
> and the friends who simply say the version without the platform information.

Honestly, I don't think that display or not in the About window will make very much of a difference for them. They just don't get the message about versions now being for internal use only. And not even our people blogging about new features do get this yet, see all the "Firefox 7 uses less memory" and "Firefox 8 will have an add-on selection on update" posts done by our own people.
Comment 129 Chris Eaton 2011-08-17 05:17:13 PDT
Some companies use dates instead of numbers. That might be a better compromise. If Help > About shows "Firefox - July 2011 Release", that gets rid of the number part while still providing useful information for troubleshooting purposes.
Comment 130 Ken Saunders 2011-08-17 05:45:21 PDT
My first thought about all of this was, why do this? After reading nearly all of the comments here, I still don't understand why, but it just doesn't matter.
Version numbers aren't being removed completely. They're still accessible.
If they were not -easily- accessible, I'd feel differently.

I started to get wrapped up in the hype and comments and then had one big DUH! moment.

Alt+ h > a
Alt+ h > t
The only difference is that the about dialog window opens and gets focus, and about:support is opened in a tab.
With the Menu bar showing, it also takes the same amount of mouse clicks.

There's just no major difference or big deal in asking a person who needs support help to go to the Help menu and click on About Firefox, or Troubleshooting Information.
Troubleshooting Information is more appropriate and obvious for support anyway.

As far as add-on support, well, AMO has made it difficult to see what version(s) an add-on works with as it is, so we'll have to adapt, provide links to newer or older versions, and note what version the add-on works with in the description ourselves. 

Adapt is they key word here.

I certainly don't agree with all of Mozilla's decisions. But at the end of the day I support them. Nothing so terrible has happened that would cause me to stop supporting Mozilla.
Yes, it's an open source organization and community, but at the end of the day, someone has to pull the trigger on things whether we all disagree with it or not.
Comment 131 Kami 2011-08-17 05:46:22 PDT
Why not the version number contains the date itself, like:
2011.08.1 or 2011.08.16.

Also this version number is much bigger than any other competitors. ;o)
Comment 132 M. H. 2011-08-17 05:50:09 PDT
For me as a web developer the version number is vital. If I have to tell my customer "I will make your website look good in the current (whatever that means) Firefox" instead of "in Firefox from x.x to x.x" my customer will call me a few hours after his Firefox silently updated. In the end I will lose money because you removed the version number. This is so stupid. I would like to laugh at you because of this foolish version number race you started with 4.0 but all I can do is crying.
Comment 133 Didier Moens 2011-08-17 06:02:18 PDT
(In reply to Florian Maier from comment #126)
> I am also voting against the removal.
> Other than that mentioned, we do a lot of internal testing for every new
> Firefox version to be rolled out,

My warmest sympathies.
(couldn't resist)
Comment 134 Alan 2011-08-17 06:19:05 PDT
Please do not completely remove the version number.
Comment 135 R. Bemrose 2011-08-17 08:10:05 PDT
There are 6 words in my Firefox 5.0.1 About dialog that make me disagree with removing the version number from said About dialog:

"Updates disabled by your system administrator"

Now, I work in an environment that develops webapps, but we still lock down which browsers we install.  We just upgraded from 3.6.x to 5.0.x last week.  Chances are, we won't see another upgrade until at least Firefox 7 under the current update pace.

However, when users file bug reports, we need to know which browser and which browser version they're using.  All our testers know where to find this information already; there is no need to make them look somewhere else for it instead.
Comment 136 dude 2011-08-17 08:12:32 PDT
Omg seriously why do you update so much? All the important addons are not working anymore. Updating the major release so often will make people eventually SKIP updating AT ALL because they dont want to lose all the functionality they need on a daily basis.

Sorry but you obviously do not understand how version numbering works.
Comment 137 Cal Jacobson 2011-08-17 08:17:07 PDT
Removing an easily-accessible version number is a horrible, horrible idea, for reasons expressed above by other concerned members of the community. DON'T introduce change for change's sake, and DON'T try to "help" users by protecting them from....what?  The horrifying reality of a version number?

That's behavior I expect out of Microsoft, not Mozilla.
Comment 138 [Baboo] 2011-08-17 08:58:54 PDT
(In reply to Cal Jacobson from comment #137)
> DON'T introduce change for change's sake, and DON'T try to "help" users by
> protecting them from....what?  The horrifying reality of a version number?

To protect them from the wrong thought that anything more than whether they use the newest version (good) or not (bad) matters.
Comment 139 Chris Eaton 2011-08-17 09:07:43 PDT
(In reply to [Baboo] from comment #138)
> 
> To protect them from the wrong thought that anything more than whether they
> use the newest version (good) or not (bad) matters.

And when did it become up to Mozilla to dictate what users should or should not think about that?

The arrogance being expressed here is so off the charts it's astounding. It really does reek of something Microsoft might do (which they wouldn't, since they usually follow the UI standards for Windows applications).
Comment 140 Ray Morris 2011-08-17 09:54:00 PDT
(In reply to [Baboo] from comment #138)
> To protect them from the wrong thought that anything more than whether they
> use the newest version (good) or not (bad) matters.

If our site doesn't work in some non-current version, it absolutely DOES matter 
which version, in order to be able to fix it. It may not matter TO YOU, but it 
matters a great deal to anyone developing or supporting web apps.

You also seem to forget that not everyone runs Microsoft Windows 7 Home Basic.
On secure systems such as Linux, Sun, mac, FreeBSD, and even Android, a web
browser does not have permission to alter system software, so it can not update itself.
Therefore, users of systems other than Windows home computers will NOT update every few days.
Comment 141 brunoais 2011-08-17 10:28:36 PDT
I'm still trying to understand why should this be done. What's happening, what's wrong, why should this important information be removed from the about window?
Why not show both info that it's the latest version and that the current version is x.xx.xx?
What's wrong with showing the current firefox version?
Comment 142 rsx11m 2011-08-17 11:34:06 PDT
(In reply to Robert Kaiser (:kairo@mozilla.com) from comment #128)
> versions now being for internal use only. And not even our people blogging
> about new features do get this yet, see all the "Firefox 7 uses less memory"
> and "Firefox 8 will have an add-on selection on update" posts done by our
> own people.

It sure is easier to explain to someone in a forum that a specific fix or feature will come in version 8 than with an update some time in November or maybe a week or two later if there is a delay (though the "when?" question most likely will be asked by that user in a follow-up to the information that #8 will have the fix).

As you say, it's a coordinate system for common reference, tied to a date now but with certain variances for the latter. It also helps in discussions on issues if they are still relevant, e.g., reading a post related to 5.0 on a problem known to be fixed in 6.0, one can safely skip that discussion.

Again, I certainly see merit in showing the build date and the time of the last update check to the About dialog, but I doubt that trying to get rid of version numbers entirely in the public will be successful or as such is desirable.
Comment 143 Mek 2011-08-17 11:46:45 PDT
Look, I am not sure why this discussion is even happening. The advantages of keeping the version number on the About page are as obvious as wanting to keep a receipt after purchasing a meal. No, it doesn't suffice to say, "I know I ate today and my hunger is satisfied". There are tons of reasons one would want a receipt.

I want to know what day I ate some meal, I want to look up the price of that items in that meal, I want to know if I got food poisoning from eating that meal, I want to report that meal for taxes, I want to suggest a dish from that meal to a friend.

Listen to your users. The point is not that a rapid release cycle is bad, it's that no good reason has been explained for making inaccessible a piece of information which many people are obviously passionate about.

This discussion is getting diluted, mostly people so many people are making assumptions about that this 'minor' change will represent and how it will effect 3rd party support, extensions, etc.

The people pushing to keep versions in the about window are conflating ideas and making invalid arguments just as much as those trying to eliminate the version info within the About pages.

This is the only piece of information which matters: versions add important semantic information and empower users to lookup valuable information regarding their current browser image. The fact that there exists even one reason why keeping the version number accessible is a good idea is reason enough to keep it. And there is indeed more than one reason:

1. Whether stupid or not, it is an expectation (as I think has been demonstrated by what has turned into a thread of outraged responses)

2. Versions are important semantically as they provide users with a reference. This reference (similar to my receipt analogy) allows users to associate features with a specific FF image. Imagine if I am using some version of Firefox which is not the latest. It is 3 months old. I haven't had Internet. Suddenly a feature I loved disappears and I want to post on a Firefox forum. In this scenario, why would it not be good to have this important version information available?

3. I am personally nervous this change is a step in Mozilla becoming less open in the future (as this modification represents a damaging blow to developer-user transparency to me).

A version number is the most concise way of sharing this information and removing it does not have an advantage, other than somehow improving a UI experience. 

I don't understand what the issue is. People are asking for this UI element to remain, the Mozilla Public License suggests it should change, and no convincing argument has been made for removing the element -- only for the rapid release cycle.

Even if only have of these 141 comments have been against the removal of version information, I'd say this is statistically relevant. Each has taken time to sign up for an account to discuss their discontent with said decision.

I think it's fair to say there are others who don't approve of this recommended choice of action and seems reasonable to put the concerns of the users above personal agenda.

For you programmers out there, we are talking about semantic sugar (UI) versus removing a structural element which has semantic meaning. This is an important piece of information which deserves to stay.
Comment 144 Mek 2011-08-17 11:54:34 PDT
(In reply to Mek from comment #143)
> This discussion is getting diluted, mostly people so many people are making
> assumptions about that this 'minor' change will represent and how it will
> effect 3rd party support, extensions, etc.
This makes no sense. What I intended to say was, "Many people are making assumptions about what the implications of this minor change and [...]
 
 
> Even if only have of these 141 comments have been against the removal of
> version information, 
Even if only -half-, rather.

Thank you for your patience with my post.
Comment 145 David E. Ross 2011-08-17 11:59:00 PDT
Re comment #45:  Version numbers are definitely NOT merely "marketing fluff".  For abut 15 years, I did configuration management on a very large software system for multiple agencies within the U.S. Air Force.  In the middle of a critical mission, an agency might not have had the opportunity to update to the latest version.  Thus, version numbers were very important attempting to diagnose a mission-limiting bug.  

Even today, Mozilla developers want to know what version of a product a user has when that user complains about a potential bug.  Yes, version numbers might appear in a bug report through the UA string.  However, not all users have bugzilla.mozilla.org accounts or would even know how to submit a bug report if they did have an account.  A readily available version number should thus be important to developers and not merely to users.  

If version numbers are not really important (per comment #51), why are Firefox and Thunderbird changing them to the extent of rendering extensions incompatible?  Leave the version number constant and let developers puzzle about whether a reported bug is in last month's Firefox 6.0, this month's Firefox 6.0, or next month's Firefox 6.0.  

In any case, none of my comment #37 has been answered.  The most important part of that comment asked (and echoed in comment #141):  "How does this benefit the user?"  Also, I really want to know why this bug report is "Normal" (regular issue, some loss of functionality under specific circumstances) and not "Enhancement".  

Comment #85 seems to say: "Don't argue here about the merits of this change.  Just comment on how well it is being implemented."  However, this seems to be an RFE that does indeed require consideration of its worth and impact on users.  If a new bug is submitted that attempts to hide the reality that it merely restates this bug #678775, that will surely degrade any trust end users have in Mozilla developers.
Comment 146 David Baron :dbaron: ⌚️UTC-10 2011-08-17 12:54:39 PDT
I agree with the comments suggesting that we should *not* do this.  There are many reasons users need to communicate about the software they have and its behavior, particularly when that software is a platform for other software.  These include (as described in comments above) getting help on how to use the browser, communicating with Web authors about problems they have with Web pages, etc.  Having the version number available where users (and those helping them or requesting information from them) expect to have it available is a good thing.
Comment 147 T3st3r 2011-08-17 13:51:09 PDT
> Isn't it great how easy Mozilla makes this for you?
The "only" problem is that it has been easier before. Therefore it is a regression. 

And no, you can't make people happy by FORCING them to accept something.

As a professional tester I can admit:
1) General public rarely opens about dialog anyway so they will not sense any UI usability improvement at all. If you care about usability, there should be more obvious way for casual user to know his browser is outdated. Though annoying users too much would make them to abandon FF in favor of something else. I guess best option is to enable auto-update by default in Windows and allow Linux distro maintainers to cope with updates for Linux.  
2) System administrators, the guys who deploys your program to thousands of users will be extremely unhappy with this, especially large companies admins, supports and such. As this would make troubleshooting harder. It would take much more efforts just to figure out that user uses (yet) unsupported version of Firefox. Try to ask completely dumb users via telephone about which firefox version they have. Then you'll quickly figure out that it's a huge problem to make such user to click proper button, etc. The more clicks, the more headache.
3) Technical people would clearly dislike to be treated like an idiots. Because they are not.

So I can predict the result: technical guys would switch more and more users to more convenient browsers with more adequate management schemes. So you could lose your market share. 

I can admit that I installed well over 100 copies of Firefox to different persons and recommended it to much more than that. But if you will continue following such a hostile course, I have to abandon Firefox, I guess. 

At the end of day, nobody loves dictatorship. If the choice is "use latest version of go to hell", I'm rather about to go to hell and be free, even without browser I know and love for many years. And I'm pretty sure I can't recommend tyrants to anyone.
Comment 148 Stijn Bienkens 2011-08-17 14:37:31 PDT
After the changes in the release cycle this is another stab in the back of  software and support engineers.

This change won't improve anything it will just create a whole lot of issues.
If this continues Mozilla simply won't give us any other choice than dropping all support for firefox in our business environment.
Comment 149 Dotan Cohen 2011-08-17 15:06:19 PDT
I welcome this constructive change. I know that I myself have occasionally gotten confused when using an application (not only Firefox) and have had the version number displayed in the About dialogue. Some users will open the About dialogue just to know learn the licensing information, user rights, or privacy policy. However, underneath the application name will be some confusing version number. This leads users to believe that the licensing information, user rights, or privacy policy is applicable to that version only. Rampant piracy and user rights violations typically ensure, if not outright chaos.

Removing the version number is the most sensible thing to do to clean up the terrible, cluttered About UI.
Comment 150 Mek 2011-08-17 15:15:52 PDT
(In reply to Dotan Cohen from comment #149)
> This leads users to believe that the licensing
> information, user rights, or privacy policy is applicable to that version
> only. 

I am not sure where you are getting your information from, but under the Mozilla Public License, this is indeed a very real scenario.

Please see section 3.6 of the Mozilla Public License:

"You may distribute the Executable version of Covered Code or ownership rights under a license of Your choice, which may contain terms different from this License, provided that You are in compliance with the terms of this License and that the license for the Executable version does not attempt to limit or alter the recipient's rights in the Source Code version from the rights set forth in this License. If You distribute the Executable version under a different license You must make it absolutely clear that any terms which differ from this License are offered by You alone, not by the Initial Developer or any Contributor."

While it can be argued that this pertains only to redistributions of the code, or a branch, it is reasonable to conclude that (according to this verbiage) stipulations or modifications of license rights can be made applicable to a specific executable release.

Also, a version number is used as reference, it contains no security value within itself. Removing a method for looking up information, on the other hand, could cause disruptive behavior (QED from this post)...
Comment 151 cy 2011-08-17 15:30:29 PDT
caught Firefox is thinking about dropping version info and going to current only. 

what a MORON thing to even consider this! 
dropping version would not allow anyone to control what gets installed. 

enterprise users has to test extensively before releasing. they must be able to freeze a version for testing and release. 

LOTS of users have a need to control what is installed on their systems. 
if some horrible bug makes through QC, users need to know what version to roll back to.
Comment 152 Yuhong Bao 2011-08-17 16:08:51 PDT
So will anyone else at Mozilla respond to this thread:
http://groups.google.com/group/mozilla.dev.usability/browse_thread/thread/70506ea0bff2035d
Comment 153 Tanner Filip [:tanner] 2011-08-17 19:24:01 PDT
I don't want to add to bug spam, but I'll chime in anyway: 
I really, really, really think this idea should just be binned. It will make QA, difficult for new volunteers, and it'll make support -  to put it frankly - hellish. Say Firefox 12 is the latest version, and this feature was introduced in 9.0. Imagine if a user's updater was broken, and it said that they were using the "latest" version, but because there's no number, we can't tell. Someone then proceeds to file a bug, QA and developers look into a fix, but can't figure out what's wrong. This is not only wasted time, but also wasted money.
Is this an extreme stretch? No, not in my opinion. It's one thing if the updater is broken and there's a version number, but it's another thing if the updater is broken and Firefox thinks it's on latest, when instead they're almost a year behind updates. 
Please, don't implement it. No hard feelings toward Asa, in theory it's a good idea, but with all of these other factors it'll make things so much harder for the community.
Comment 154 jra 2011-08-17 19:47:17 PDT
Tanner is being overly polite.

*In theory* it's a terrible, horrible, no good, very bad idea.  

In practice, it will be So Much Worse, for all the practical reasons outlined by many people other than me, above.
Comment 155 mod.bugzilla-mozilla.2009-06-13@3amok.com 2011-08-17 20:11:07 PDT
Asa Dotzler sounds like an arrogant prick, and I don't like that a tiniest bit. Vote this sucker down!
Comment 156 mod.bugzilla-mozilla.2009-06-13@3amok.com 2011-08-17 20:15:05 PDT
Just checked the possible values for closed bugs. This sounds like a perfect match:

   INVALID
   The problem described is not a bug.

There you go. No problem.
Comment 157 Tanner Filip [:tanner] 2011-08-17 20:25:47 PDT
 (In reply to mod.bugzilla-mozilla.2009-06-13@3amok.com from comment #155)
> Asa Dotzler sounds like an arrogant prick, and I don't like that a tiniest
> bit. Vote this sucker down!

This comment is totally unacceptable. I strongly urge you to read https://bugzilla.mozilla.org/page.cgi?id=etiquette.html before commenting any more.
(In reply to mod.bugzilla-mozilla.2009-06-13@3amok.com from comment #156)
> Just checked the possible values for closed bugs. This sounds like a perfect
> match:
> 
>    INVALID
>    The problem described is not a bug.
> 
> There you go. No problem.

Bugzilla is used for anything that needs to be changed in Mozilla's codebase, from a simple typo to a whole new project. This is a change, so it belongs on Bugzilla.
Comment 158 dv5678 2011-08-17 20:47:46 PDT
The ABSOLUTE MINIMUM that is expected of Help:About is that it give the name of the software, its version number, and the name of the company or team that developed it -- whether the program is scarcely more than "Hello World", an office suite, an operating system, or anything in-between. Beyond that, a web address and a copyright statement are typical. A Build date is courteous (and therefore MANDATORY, in case you wonder). A little Build info gives some credit to the compiler(s) used. Developers typically add a tab or button for Credits or Authors and/or Thanks, Legal Notices and/or License Information, Privacy Policy, etc. Sometimes some information about installed Components or some Settings. Sometimes some relevant System Information.
Lately there is a trend toward having "Help:Check for Updates..." in the menu. Sometimes "Check for Updates" becomes a button under Help:About, which may or may not be appropriate. (There is plenty of room onscreen for Help: items.)
EVEN IF Help:About does all these OTHER things, there is NO EXCUSE for abandoning the first things that Help:About is there for.
Yes, there is room to expand on Check for Updates, wherever it may be placed. Naturally it should say when it last [successfully] checked, and what the current version was at that time. If the version was out of date at that time, or if the version was checked "too long" ago, it should give appropriate warnings. Somewhere else, an occasional "nag" should be visible or pop up if reasonable. Not updating is a big risk nowadays, but updating is voluntary. Windows lets users turn off updates but, since they've added the reminder system, fewer people fall behind (to the detriment of the botnets).
[One reasonable fear about automatic updates is that someone might someday hijack the automatic update system, and use it to push malware. If the update at least happens when I say so, i feel the odds might be reduced.]
[One problem with some silent update systems is that they don't always ask for a re-start. Someone who never closes the browser could fall MONTHS behind.]
One more reason not to remove version numbers from Help:About is the too-real shame and embarrassment it will put on the developers and users. I would be ashamed to use or develop a product that ignores a fundamental requirement to make a tragic "improvement".
We're already fed up with software downloads from high-handed Apple and Google, who think we don't deserve to know what we are getting until we get it. (Or Adobe and others who think we don't deserve to download an installer, we only deserve to download a downloader, and have to use tricks to capture the installer before it deletes itself.) I would be ashamed to use or develop a product that treats me that way. I don't run Safari or QuickTime.
People have cursed the change (numerous), cursed you, and begged you not to do it (#153), so those won't be my contributions. This is not a me-too or a vote.
Beyond these reasons, I have to question the possible motives for proposing such a change.
For one, this proposed "improvement" has made Firefox and the team infamous. Any publicity is good publicity. Bravo.
For another, power is not power if you merely make someone do what they wanted to do. Power is power only if you make someone do things they prefer not to do. (Orwell)
For another, there is "plugging the news hole". A function served, for example, by the D.C. Sniper after 9/11. He kept the news media occupied while the administration planned an unjust war. This proposal could be a timely distraction. Where is the _real_ planned travesty that slipped by? People, look carefully.
The motivation for fighting on after the battle is lost, trying to suppress criticism, and rebutting only weak arguments is obvious -- to save face. (Or to look even more the starry-eyed egomaniac, to build on the negative publicity.)
Comment 159 jra 2011-08-17 20:57:02 PDT
> This comment is totally unacceptable. I strongly urge you to read
> https://bugzilla.mozilla.org/page.cgi?id=etiquette.html before commenting
> any more.

That comment was certainly out of line.

But the general tenor of the comments on this bug makes it clear to *me* that, if Asa is *not* the pinnacle of product line management for Mozilla's nameplate product, this decision needs to be escalated to that person, pretty promptly; this *is* about to get away from you guys, PR-wise.
Comment 160 Mick Russom 2011-08-17 21:03:23 PDT
I strongly oppose the removal of the version number from the about dialog. This is a convention that every software on graphical platforms follows. Removing this is just another controversial and useless decision. Meanwhile, chrome is beating the tar out of firefox in speed and firefox is busy removing power, features and useful things and breaking plugins while remaining slow. Firefox is becoming a slow, substandard clone of chrome.
Comment 161 Chizilla 2011-08-17 21:06:27 PDT
For someone like me that has the "Automatically check for updates" box empty for Firefox, my question to Dotzler is "Are you going to force Automatic Update on us, or are you going to force someone to create an add-on to put the version back on the About Firefox?"

The least Dottyzealot can do right now to save his face is to make the version number as an option. "Please check here if you want to see the version number on the About Firefox". Then keep track to see how popular his idea was.

Mozilla should stop pushing people away.
Comment 162 jra 2011-08-17 21:08:45 PDT
I've just re-read all the comments on this bug, and I've figured it out.

Mozilla has forgotten that it isn't Facebook.

"We don't care about your use case, or whether you've put a lot of effort into creating things compatible with our ecosystem: it's *our* ecosystem, and if you don't like the game, we're going to take our ball and go home."

Statusline removal breaking addins that put things there; fast release cycle breaking *everybody's* addins... inviting people into your house, and *then* revealing that you're nudists, and *they will have to take their clothes off, now*.

That dog won't hunt, folks.
Comment 163 etienne 2011-08-17 22:42:05 PDT
163 comments later, still no explanation about who exactly benefits from this change.
Comment 164 Igor P 2011-08-17 23:20:37 PDT
Developers are idiots. Since version 4.0 with its ugly interface we (company with about 1.5K PCs) are thinking about changing browser (as corp. standart). The time has come.

Looks like your time is over, Mozilla. Several years ago you could suffer **** because there were no other browsers (and opera was too weak). But now chrome will kill you in a few seasons. Stop making garbage. I know that nobody in Mozilla will read it. Because only idiots masturbate version number.

PS. Am using firefox at home since version 1.0.2. Now am using version 3.6.18 everywhere (thanks god i can see version anytime).
Comment 165 Asa Dotzler [:asa] 2011-08-17 23:23:20 PDT
(In reply to etienne from comment #163)
> 163 comments later, still no explanation about who exactly benefits from
> this change.

Perhaps you should visit the usability forum I suggested 150 comments ago where there are actually some interesting discussions about the various use cases and potential options and compromises that might be had here. It's shaping up to be quite a productive discussion over there.

Or you could do what pretty much everyone else in this bug report did and ignore my request to use a much better tool for longform and multi-participant discussions and just post your rants here where we have none of the nice features of that forum and where there seem to be a much larger proportion of threats of physical harm and a much lower proportion of rational thought.
Comment 166 Asa Dotzler [:asa] 2011-08-17 23:28:41 PDT
(In reply to Igor P from comment #164)
> Developers are idiots.

Thanks for the kind thoughts.

> PS. Am using firefox at home since version 1.0.2. Now am using version
> 3.6.18 everywhere (thanks god i can see version anytime).

You should really update. 3.6.20 has been released and it's got critical security updates. 3.6.18 is not safe to be using any more.
Comment 167 hikaricore 2011-08-17 23:36:12 PDT
On a related note, I like turtles.
Comment 168 Ken Ham 2011-08-18 00:11:45 PDT
Has Joe Monco weighed in on this? I can't form an opinion without help from Joe Monco.
Comment 169 Steven Cook 2011-08-18 00:51:24 PDT
I spent a decade doing first-level user support, often as an independent consultant.  I then spent a decade in software validation for a major international technical company.  In the three years since that time, I've been responsible for generating end-user documentation for complex hardware and software systems.  I say this to provide context for my comments, as I have no direct development/validation history with Mozilla.

Those of us who provide first-level support, who perform software validation, and who have to write documentation for users, really appreciate software that adheres to OS design guidelines.  No, there is not a (even RFC) requirement anywhere that I am aware of that would make the version number being displayed in the Help:About box required.  However, there is a de facto standard that the version number be displayed in the Help:About box.  While I believe I understand the reasoning behind removing the visibility of the version number (de-emphasizing said version number), there are significantly compelling reasons to leave the version number where it can be found in the overwhelming majority of production-class applications on the three major OS platforms.  What has been conspicuously absent in this bug report is a single compelling reason to implement this change. (Yes, I read through all 163 previous posts before writing this, and it rightfully should have been placed in the description.)

There is obviously (even discounting all of the hateful, tangential, and fully off-topic posts) a significant, technically savvy, user base who find this bug to be lacking in merit.  I agree with the suggestion(s) that de-emphasization of the version number can be achieved by changing the format of the version number, while maintaining the absolute uniqueness of the version to a specific set of source bits that were built.  There are a number of models already in production to achieve this goal, and I have - based on the history of this project - very high confidence that the development team would be able to address this goal without removing the version number from the Help:About box.

@Asa - yes, Usenet is a useful place to discuss things like usability.  And had this been brought up there first, instead of filed as a bug in Bugzilla first, I'd have been happy to discuss it there.  However, once entered in Bugzilla, it seems most sensible to keep all of the (at least relevant, on-topic) discussion of that bug in one place, rather than scattering it to multiple locations, requiring someone from the product team to collate and summarize (at the time of this writing) over three hundred fifty posts to nine different threads on usenet and repost the salient points here.  As a result, my comments on this bug are being posted here. :)
Comment 170 marcin.tustin 2011-08-18 00:59:02 PDT
(In reply to Asa Dotzler [:asa] from comment #165)
> (In reply to etienne from comment #163)
> > 163 comments later, still no explanation about who exactly benefits from
> > this change.
> 
> Perhaps you should visit the usability forum I suggested 150 comments ago
> where there are actually some interesting discussions about the various use
> cases and potential options and compromises that might be had here. It's
> shaping up to be quite a productive discussion over there.
> 
> Or you could do what pretty much everyone else in this bug report did and
> ignore my request to use a much better tool for longform and
> multi-participant discussions and just post your rants here where we have
> none of the nice features of that forum and where there seem to be a much
> larger proportion of threats of physical harm and a much lower proportion of
> rational thought.


This really just sounds like you resent people leaving negative feedback on your ticket, so you're trying to get people to stop doing it. Almost every single comment here has been well-reasoned and constructive. You just don't like them because almost every single one of them disagrees with you.

In addition, the place where you want people to post much harder to use than bugzilla. Asking us to use usenet is rather like saying it's impolite to write German in ordinary Roman script rather than Gothic. It's simply not how things are done any more in the rest of the world.
Comment 171 Perseids 2011-08-18 01:51:05 PDT
(In reply to marcin.tustin from comment #170)
> (In reply to Asa Dotzler [:asa] from comment #165)
[...]
> > Perhaps you should visit the usability forum I suggested 150 comments ago
> > where there are actually some interesting discussions about the various use
> > cases and potential options and compromises that might be had here. It's
> > shaping up to be quite a productive discussion over there.
[...]
> In addition, the place where you want people to post much harder to use than
> bugzilla. Asking us to use usenet is rather like saying it's impolite to
> write German in ordinary Roman script rather than Gothic. It's simply not
> how things are done any more in the rest of the world.

I was just about to say the same. Please at least post some links to Google Groups.
Comment 172 Steven Cook 2011-08-18 02:31:19 PDT
For those that missed it, the link to the Google Groups forum (usenet mirror?) about this issue is in the URL link at the top of this bug entry.
Comment 173 Nick 2011-08-18 04:36:31 PDT
So first Firefox is removing the major version number, now it's removing the minor version number as well?

It seems ridiculously counter productive to me. I liked Firefox best when it was still at version 4.

To me, lower version numbers are indicative of more stable software. Look at Linux, for example - they're having to come up with excuses to bump the version number up from 2 to 3, and only that after over a decade.

The reason Firefox is losing market share isn't because HURR DURR THE NUMBER IS TOO SMALL, it's because SOME users actually PREFER a minimalistic, sleek browser over a highly customizable one like Firefox.

Firefox will *ALWAYS* remain the choice for any sort of fine-tuning or customization purposes, even if Chrome steals the market share that didn't like Firefox in the first place but used it because IE was so bad. Unless, of course, Mozilla keeps making these awful design choices. It's really awful.
Comment 174 Ray Lee 2011-08-18 07:31:31 PDT
(In reply to Tobias from comment #27)
> 1) Does anyone know which version of Facebook or Twitter you're using? No?

I use version 2.0.0 of Twitter, version 1.6.3 of Facebook, and version 2.3.4.1 of GMail. It says it in the about box on the apps on my phone.

Web applications don't have version numbers, it's true. But applications that access web sites DO have version numbers. Unless you plan on reimplementing firefox as a GWT app that we all need to run under Chrome, using WebApps as a model is a category error.

May I leave you with a thought? Making your users uncomfortable is not a winning strategy to ensure their loyalty and happiness with a product.
Comment 175 bogas04 2011-08-18 08:25:53 PDT
Alright after analyzing i come to conclusions that

Pros : 

1) Firefox after reaching double digits will just not make sense any more , people won't be taking track of Firefox 18 by then it seems. So if not now , this would be in fact a BETTER approach 

2) A lot LESSER confusion would be there , once it is out (obviously there would be some initial agitation) , as people would then use Firefox, with no version numbers bothering them anymore

3) And if they feel the browser is slower etc , they won't fool around with silly addons and vulnerable softwares, but merely check for UPDATES . Of course user must be properly notified about newer version , and its features (probably a slideshow or just text , while updating).

4) Sooner or later , other browsers might too follow this scheme as chrome is reaching to version 15 ,opera to version 12 , and IE to 10. If not that , they would just not publicize the version number anymore.. So the question of inconsistency might not be a problem SOON

5) Seriously whenever new rapid release version is released , no one really cares to see and just troll they call it version 6 with nothing but one feature added. This will justify it a bit more , for now it would be "Newer Version". Also , version 3.6.20 doesn't really make sense to me. 

Cons :
well u can read all the comments above for them i guess.
Comment 176 Eric Forgeot 2011-08-18 08:27:56 PDT
as a user, I'm strongly against this idea, it doesn't give sense to offuscate the version number like that.
Comment 177 bogas04 2011-08-18 08:32:47 PDT
I would repeat , this bug is about removing version number from about box , not completely from browser structure ... The UA id would still reflect your version number and so would other sites.
Comment 178 Michal Stanke (Mozilla.cz) [:MikkCZ] 2011-08-18 09:40:33 PDT
I think, there is one weakness - when any user writes on any support forum, it can be important which version he is using (most of cases it is). And the dialog "About" is the most common place where to find this information.
I don't find good to force these users to ask, where to find their Firefox version, because it's not on the same place like in any other application. They have their problem and it not very clever idea to add them any other.
Comment 179 Robert Kaiser 2011-08-18 09:45:04 PDT
(In reply to Mick Russom from comment #160)
> Meanwhile,
> chrome is beating the tar out of firefox in speed and firefox is busy
> removing power, features and useful things and breaking plugins while
> remaining slow.

I find it funny how people are using Chrome as an argument against us in those places where we are doing the same things they do as well, because UX and usability researchers in both our organization and their company come to the same or very similar conclusions. That said, Chrome has been a privacy-neglecting, weak and trimmed down clone of Firefox from the beginning, even in its very intentions (no surprise when it has been created by former Firefox programmers employed by a company that values selling ads more than user control and privacy, contrary to us at Mozilla). I know that's all off-topic in this bug, but any bug with significantly more than 100 comments has lost its focus on tracking work items anyhow.

Oh, and I want a pony.

I can haz that in About dialog?
Comment 180 marcin.tustin 2011-08-18 10:02:57 PDT
(In reply to Robert Kaiser (:kairo@mozilla.com) from comment #179)
> (In reply to Mick Russom from comment #160)
> > Meanwhile,
> > chrome is beating the tar out of firefox in speed and firefox is busy
> > removing power, features and useful things and breaking plugins while
> > remaining slow.
> 
> I find it funny how people are using Chrome as an argument against us in
> those places where we are doing the same things they do as well, because UX
> and usability researchers in both our organization and their company come to
> the same or very similar conclusions. That said, Chrome has been a
> privacy-neglecting, weak and trimmed down clone of Firefox from the
> beginning, even in its very intentions (no surprise when it has been created
> by former Firefox programmers employed by a company that values selling ads
> more than user control and privacy, contrary to us at Mozilla). I know
> that's all off-topic in this bug, but any bug with significantly more than
> 100 comments has lost its focus on tracking work items anyhow.
> 
> Oh, and I want a pony.
> 
> I can haz that in About dialog?

No-one is asking for a pony. They are asking Mozilla to not turn their browser into a support nightmare for the rest of the world, by *not making a completely pointless change*.

It is in no way ironic to make the comparison with Chrome, because Chrome offers much better standards compliance (in particular, I'm thinking of SVG support, and the lack of HTML rendering bugs), while managing to have both a time-boxed release cycle, and a version number in their about box.
Comment 181 d 2011-08-18 10:05:40 PDT
(In reply to Robert Kaiser (:kairo@mozilla.com) from comment #179)
> (In reply to Mick Russom from comment #160)
> > Meanwhile,
> > chrome is beating the tar out of firefox in speed and firefox is busy
> > removing power, features and useful things and breaking plugins while
> > remaining slow.
> 
> I find it funny how people are using Chrome as an argument against us in
> those places where we are doing the same things they do as well, because UX
> and usability researchers in both our organization and their company come to
> the same or very similar conclusions. That said, Chrome has been a
> privacy-neglecting, weak and trimmed down clone of Firefox from the
> beginning, even in its very intentions (no surprise when it has been created
> by former Firefox programmers employed by a company that values selling ads
> more than user control and privacy, contrary to us at Mozilla). I know
> that's all off-topic in this bug, but any bug with significantly more than
> 100 comments has lost its focus on tracking work items anyhow.
> 
> Oh, and I want a pony.
> 
> I can haz that in About dialog?

I intended to make this a long post, but changed my mind and instead say this:

I am actually very glad to hear a Mozilla employee reasoning like you, because I was starting to believe that the people who work with the browser had given up, that the spirit of competition was completely gone. Please, change the impression people have that Firefox is just following Chrome nowadays, I've heard people claiming that using Firefox is embarrassing. That's not good reputation.

Oh, and here's a pony for you: http://bit.ly/qT0aB8
Comment 182 donrhummy 2011-08-18 12:20:53 PDT
Actually the answer to this whole issue is quite simple: since the version number can actually render addons incompatible, it IS important for users to be able to see the version number. Otherwise, when they have an addon in firefox and are prompted to upgrade, the ONLY way to know if the upgrade will break that essential addon is to know your firefox version and know the max version the addon is compatible with. And that NEEDS to be an easy check.

Firefox has two choices here:

1. Keep the version number easy to find so users can see if an upgrade will break addons

2. Get rid of version numbers and change the way addons check for compatibility
Comment 183 Asa Dotzler [:asa] 2011-08-18 19:17:27 PDT
Fixing a typo in my initial description of this change.
Comment 184 Ocie Hudson 2011-08-18 20:07:14 PDT
(In reply to Asa Dotzler [:asa] from comment #23)
> (In reply to kwanbis from comment #20)
> > Asa, why can't both be on the about dialog, the "Firefox checked 1 minute
> > ago and you are using the latest version", and the version number itself?
> 
> Because removing the version number is half of the goal of this change.

And what is the second half of the goal?  For that matter, what is "the goal of this change"?

Please, permit me to guess:  the problem -- from the Mozilla management perspective -- is that users who refuse to accept one or more changes in a new version (major release) decline to download and install the new version,  and its successors, until the changes that they will not accept can be voided and features that they preferred can be restored.  

In the meantime, they continue using the "outdated" version regardless of its bugs and security vulnerabilities.  So Mozilla must choose whether to continue supporting the prior version(s), to revise the new version in order to rectify the changes to which users object, or to abandon those users entirely.

Removing version numbers from the traditional, standard "About" panel in order to frustrate identifying the installed version which is being continually "updated" will NOT solve this "problem".  Completely replacing the software which is in use with "updates" that radically change its features and interface will NOT solve this problem!  

Deleting critical comments from the Mozilla community forum and denying those critics access to the forum will NOT solve the problem.  Insisting that critics use a "newsgroup", which no one else will ever read, to voice objections and discuss solutions to problems such as this one will NOT solve the problem!

Unfortunately, the actual problem (to put it charitably) is that Firefox developers are only human.  So changes to the design and user interface will never be greeted with universal acceptance -- especially when a change compromises our ability to use the browser efficiently and effectively.  The developers need to check their egos at the door, stop thinking that their adoring fans are the only users that they must please, and learn to recognize when they've made a mistake and be willing to rectify it.

All of the objections to removing the version number from About that I have read here are quite well-reasoned and valid, and I support them 100%.

If you terminate my access to this bug database, please realize that I really don't care any more.  I rarely report any bugs that I find because they are so rarely rectified.  Why waste my time and effort?  Will these comments be the last time that I do that here?
Comment 185 Steven Cook 2011-08-18 21:16:52 PDT
(In reply to Asa Dotzler [:asa] from comment #183)
> Fixing a typo in my initial description of this change.

@Asa,

Sorry, but that's wildly disingenious. You didn't fix a typo. You completely rewrote the Description.  And by commenting that all you were doing was fixing a typo, you've lied to the community.  Why would you do that?

Here's what you changed, under the moniker of "Fixing a typo":
***begin full disclosure notice***
Asa Dotzler [:asa] <asa@mozilla.org> changed:

          What    |Removed                     |Added
----------------------------------------------------------------------------
           Summary|Remove version from About   |Move the version number
                  |window                      |from the Firefox -> Help ->
                  |                            |About window to the Firefox
                  |                            |-> Help -> Troubleshooting
                  |                            |window
***end full disclosure notice***

With the new description, this should definitely move to "RESOLVED-WONTFIX" until and unless the Description is reverted to its original state.  Lying is bad policy.  Note that until this happened, I kept my commentary pointed at the issue.  Now, unfortunately, the issue has become personal.  I (and many others) do not appreciate being lied to... :(

And, by the way, we can't "move" the version number from the About window to the "Troubleshooting" window, because it's already there.  "A rose by any other name..." as the great bard once wrote.
Comment 186 Dotan Cohen 2011-08-18 22:05:06 PDT
(In reply to Asa Dotzler [:asa] from comment #183)
> Fixing a typo in my initial description of this change.

The change to the title is certainly not fixing a typo. It looks like a bug hijack to me. In fact, the version information is already on the Troubleshooting window, so the hijack is rather deceitful.
Comment 187 hikaricore 2011-08-18 22:09:49 PDT
Right now I'm watching Red Dwarf, and I can't help but picture Asa as Arnold Rimmer.  This who typo business is a load of utter ****, as is this "bug".  Change for the sake of change as has been mentioned about 100 times now is simply pointless.  Just leave **** alone and fix the actual problems that firefox has had for years first...
Comment 188 remixedcat 2011-08-18 22:17:21 PDT
why did we need the rapid change anyways?

what was wrong with the old release cycle? 

like 3.6.x
4.5.x

etc....
Comment 189 Sergey 2011-08-18 22:19:40 PDT
Asa!
Why are you so mad breaking things that were maid before you?
Why you try to satisfy idiots that want FF-more-than-Other version? -- You where recommended to use YYYYMMDD[HHSS] format, than FF will have huge version number.

When the version number started to be a problem to you? Wanna talk about it?
Or Moz crew has no other problems?
When you stop use bugzilla for not-bugs purposes?

Users will be more happy on Electrolysis that not knowing version number.

Looks like with yr efforts Moz will soon be somewhere but not users desktop!
Comment 190 Steven Cook 2011-08-18 22:24:00 PDT
@Sergey -

Common misconception, but "bug" in Bugzilla refers to _any_ thing that will require code change to fix.  Feature requests, software/UX suggestions, full-on issues, everything gets a "bug" number in Bugzilla.  This is a legitimate bug, because it is a feature change request.  It is not a legitimate issue, because there is no identified failure.
Comment 191 remixedcat 2011-08-18 23:33:04 PDT
I actually think the yyyy.mm.dd.hh.ss format as well

like:

"Please click on the firefox button>help>about firefox and tell me what version of firefox you are using"
"Ok, I am using firefox version 2011.08.19.0230"
Comment 192 Sergey 2011-08-19 00:21:06 PDT
(In reply to remixedcat from comment #191)
> I actually think the yyyy.mm.dd.hh.ss format as well
> 
> like:
> 
> "Please click on the firefox button>help>about firefox and tell me what
> version of firefox you are using"
> "Ok, I am using firefox version 2011.08.19.0230"

Even no dots :) Why bother! <sarcasm>Billion version of FF its kewl!</sarcasm>
Comment 193 brunoais 2011-08-19 00:29:50 PDT
(In reply to remixedcat from comment #191)
> I actually think the yyyy.mm.dd.hh.ss format as well
> 
> like:
> 
> "Please click on the firefox button>help>about firefox and tell me what
> version of firefox you are using"
> "Ok, I am using firefox version 2011.08.19.0230"

1 problem: That would break the login of knowing how much was the improvement.
Firefox was doing that well until the version 4.0.1 appeared. Every time a new version number appeared a big or huge change happened. From FF 3 to FF 4 were some code changes and a new GUI, for instance. From FF 4 to FF 5... ... Have no clue about which big improvement was.
And then there were the 0.5 improvements. FF 3.0.x to 3.5.0 made many core code and functionality fixes with many gecko improvements. 3.5.x to 3.6.0 with a nice amount of gecko improvements and a good amount of added interfaces for chrome code not forgetting a nice support for HTML5.
And then the 0.0.x numbering that was nothing more than security fixes and bug fixes.


I'm still wondering as no one answered this question properly:
Why do we need to remove the version number from the about window?
OR
What do we gain from removing the version number from the about window?

There has been some incomplete stuff mentioning that but no one ever told me a nice answer to any of these questions.
Pls note that: When one user asks for an improvement in firefox this question always appears, at least, to the developers, so why shouldn't you answer to it as well?
Comment 194 brunoais 2011-08-19 00:34:05 PDT
Showing the message like:
"Firefox checked for updates 20 minutes ago, you are running the latest release."
Is ok, just don't remove the version number from the about window!!!!
Comment 195 remixedcat 2011-08-19 00:42:24 PDT
(In reply to brunoaiss from comment #193)
> (In reply to remixedcat from comment #191)
> > I actually think the yyyy.mm.dd.hh.ss format as well
> > 
> > like:
> > 
> > "Please click on the firefox button>help>about firefox and tell me what
> > version of firefox you are using"
> > "Ok, I am using firefox version 2011.08.19.0230"
> 
> 1 problem: That would break the login of knowing how much was the
> improvement.
> Firefox was doing that well until the version 4.0.1 appeared. Every time a
> new version number appeared a big or huge change happened. From FF 3 to FF 4
> were some code changes and a new GUI, for instance. From FF 4 to FF 5... ...
> Have no clue about which big improvement was.
> And then there were the 0.5 improvements. FF 3.0.x to 3.5.0 made many core
> code and functionality fixes with many gecko improvements. 3.5.x to 3.6.0
> with a nice amount of gecko improvements and a good amount of added
> interfaces for chrome code not forgetting a nice support for HTML5.
> And then the 0.0.x numbering that was nothing more than security fixes and
> bug fixes.
> 
> 
> I'm still wondering as no one answered this question properly:
> Why do we need to remove the version number from the about window?
> OR
> What do we gain from removing the version number from the about window?
> 
> There has been some incomplete stuff mentioning that but no one ever told me
> a nice answer to any of these questions.
> Pls note that: When one user asks for an improvement in firefox this
> question always appears, at least, to the developers, so why shouldn't you
> answer to it as well?

yes this was what I was thinking. this was an easy indicator of progress on the browser.
Comment 196 [Baboo] 2011-08-19 02:18:31 PDT
(In reply to brunoaiss from comment #193)
> 
> 1 problem: That would break the login of knowing how much was the
> improvement.

Would only user-facing improvement count as a big improvement? And only user-facing improvements the normal user cares about? But what would that be? Making a decision on version numbers would be subjective and arbitrary.


> What do we gain from removing the version number from the about window?

To make it clear to the user that the version number does not matter (as could be seen with 5.0.1 for non-Macs). What matters though is whether he is up-to-date or not.
Comment 197 brunoais 2011-08-19 02:50:21 PDT
(In reply to [Baboo] from comment #196)
> (In reply to brunoaiss from comment #193)
> > What do we gain from removing the version number from the about window?
> 
> To make it clear to the user that the version number does not matter (as
> could be seen with 5.0.1 for non-Macs). What matters though is whether he is
> up-to-date or not.

Why is that? That's not a reason, that a selfish desire or opinion.
What's wrong with knowing the version number in the about page?
Why not showing both info stating that the browser is updated and the current version.
Comment 198 Chris Eaton 2011-08-19 02:59:51 PDT
(In reply to [Baboo] from comment #196)
> 
> To make it clear to the user that the version number does not matter (as
> could be seen with 5.0.1 for non-Macs). What matters though is whether he is
> up-to-date or not.

Your users don't seem to agree with you on if it matters or not, and making it harder to find isn't going to convince them otherwise.
Comment 199 cy 2011-08-19 04:59:24 PDT
just discovered my upload to photobucket extension was broken with version 6 Firefox. 

1. downloaded version 5.01 Firefox, 
2. uninstalled version 6 Firefox. 
3. re-installed version 5.01 Firefox and all is well. 
4. turned off all auto updates ...

---------------

above is a real life scenario that just happened to me today. now multiple by the millions of users that use extensions not compatible with newest version of Firefox. those extensions simply break. 

without version control, the above scenario would not have an easy fix by rolling back to a known version of Firefox that works with broken extension. 

removing version number is not just dumb ... it would reduce usability of Firefox ... which would be BAD!

a reminder ... Extensions written by volunteers and/or commercial vendors are one of the MAJOR reason for Firefox's success. take away extensions and Firefox might as well be IE or Chrome. 

it's a fact, apps free and paid versions are a MAJOR reason for success of Apple's iphone. without all the apps, iphone's usability would be a fraction of it's current self. 

apps for iphone and extensions for Firefox are the same. 
for millions of Firefox users, a particular extension becomes mission critical. 

extensions breaking for new versions of Firefox cannot be avoided. 
taking away version control, along with removing upgrade options will **** off millions of Firefox users by taking away an easy way to fix broken extensions. and/or a way to avoid broken extensions all together by freezing Firefox upgrades. until a chance to test new version for extension compatibility.
Comment 200 Steven Cook 2011-08-19 07:38:28 PDT
@cy and everyone else who is getting upset about version numbers being removed from Firefox:

This is not a request to remove version numbers from Firefox (although that may be the end game in mind).  This is simply a request to remove the DISPLAY of the version numbers from the About window, while leaving it displayed in the Troubleshooting window.

@Mozilla Developers:
Can anyone illuminate us about _why_ this change is needed?  We are 3.5 days in, with 200 comments inside of Bugzilla, and approaching 500 comments in Usenet.  In those nearly 700 comments, the closest we've seen to an explanation is that "users don't go to the About window to check the version, they go to see if they're running the latest release" and "we're trying to make the version number become something the user doesn't care about".  The first is - at best - a misapprehension of use case (until and unless someone can provide information that somehow the base use case of the About window for the last two-plus decades has suddenly been removed?), or - at worst - an amazing display of hubris.  The second is a valid design goal, but as I noted previously, if this is the point of this bug, this bug should be implemented as a trailing event rather than a leading event.  Make the version number a don't care, then remove it from the About window.
Comment 201 bogas04 2011-08-19 07:58:11 PDT
-> Will make more sense once we reach double digits , who would like to keep track of firefox versions after they are like v14 or 22..
-> Version numbers don't make sense now as v5 and v6 don't really have large differences , instead , calling it "New version" is much effective and can stop trolling crowd

these are only two pros i could find , but ya presence of version number doesnt really affect if not advertise it , and just call it New version or something
Comment 202 hhardy01@gmail.com 2011-08-19 08:17:24 PDT
Why was the name of this bug hijacked to say something completely different than initially posted on the basis of correcting a "typo"? Why does it say move this to Troubleshooting when it is already there? How is that different than removing it from about?

I can tell you specifically that there are compatibility issues using any version higher than 3.6.20 with HP Service Center and DayCQ as implemented on our campus. If we cannot get easily get version numbers from users or if they are encouraged or forced to upgrade automatically the end result could be Firefox no longer being a supported browser on our campus with about 20,000 potential users.

Is Firefox now a community project in name only and are decisions being made willy-nilly even when the community is almost unanimously against them?

And what's up with threatening people who post reasonable dissents with banning?

And telling people not to post concerns on this bug on the bug but instead to some obscure usenet group?

I have been running web sites since original NCSA httpd and Mosaic 0.99. This is one of the least productive and most regrettable directions taken in a good while. Not only because of the technical issue but what it reveals about the way this project is being (mis-)managed now.

Is Google calling the shots here from behind the scenes? Is their money paying most of the bills? Just asking.

The tone from Asa toward the community is patronizing verging on contempt. This is completely out of place and out of line IMO.

Speaking as an individual only for myself. --Henry NIC Handle HEH
Comment 203 bogas04 2011-08-19 08:21:27 PDT
Early it said remove version from about window and version in about:support 
now it says move from about to help , it isn't much different 
it was done to remove the confusion that version number is not removed but version number from about window is removed , rather its location is changed
Comment 204 Steven Cook 2011-08-19 09:11:41 PDT
(In reply to bogas04 from comment #203)
> Early it said remove version from about window and version in about:support 
> now it says move from about to help , it isn't much different 
> it was done to remove the confusion that version number is not removed but
> version number from about window is removed , rather its location is changed

See comment #185 for what it said before and what it says now.  The original description was very clear about what was intended.  The new description appears to be an attempt to mask the true intent of the bug - that is, removing the version number from the About window.  "Moving" something indicates that you are taking it from one location, where it is, and moving it to another, where it is not.  The version number is currently displayed in both the About window and the Troubleshooting window, so there is no need to move it.
Comment 205 Didier Moens 2011-08-19 10:22:46 PDT
(In reply to hhardy01@gmail.com from comment #202)

> Is Firefox now a community project in name only and are decisions being made
> willy-nilly even when the community is almost unanimously against them?

Off-topic, concerning Firefox' "community" :

It is my impression (personally speaking, as a long-time supporter and contributor to the Firefox 1.0 NYT advertisement campaign) that the current rationale is, to increasingly exclude dissenting voices (e.g. enterprise and/or power users, crf. Asa's quotes) from the targeted audience.

Guys : a good reputation arrives on foot and leaves on horseback.
Comment 206 VanillaMozilla 2011-08-19 13:53:02 PDT
Removing the version number from >Help>About breaks a near-universal OS convention, so I don't understand why this is even being considered, or why this bug is still open.


(In reply to Robert Kaiser (:kairo@mozilla.com) from comment #85)
> Can we close this bug report?

Done.  I hesitate to tread in a room with elephants and I certainly don't want to tread on toes, but (1) I'm having a hard time finding anyone at all who thinks this is a good idea, and (2) it appears you need some help from an irreverent outsider.  Feel free to reopen it if you want to continue the pain.
Comment 207 hikaricore 2011-08-19 14:03:37 PDT
You can run and tell that, homeboy!
Comment 208 nothappyuser 2011-08-19 15:36:08 PDT
n.0.0 to (n+1).0.0 is expected to maybe break things. (major feature changes)
n.k.0 to n.(k+1).0 is expected to rarely break things. (minor feature changes)
n.k.l to n.k.(l+1) is expected to break nothing. (security and small bug updates)

Everyone knows this. Everyone. My grandma who is scared of computers knows of this concept. It's time tested and shown to be good.

Power users, developers, and Enterprise are getting increasingly upset with the decisions Mozilla is making with Firefox. Please stop ignoring us. Please listen to our input. 

We won't hate you if you renege on how the current versioning is. It's okay. Seriously. Everyone makes mistakes. It was an interesting idea, but you can clearly see that it's not working as you expected. If you just said "Oops", and then said that Fx7 will be 6.1, then everyone will be happy. As much as we'd love it to go back to 4.x, staying in 6 will be fine, as long as the version incrementation is put back to how it was.

I beg that you listen to us. Please? <3 

-jessica
Comment 209 Yesudeep Mangalapilly 2011-08-19 15:50:19 PDT
What you're doing is equivalent to me doing this when I want to file a bug report:

Me: I have a problem X with Firefox.
You: Which version?
Me: I know the version, but I'm not going to tell you. Why can't you figure out for youself?
You: *pulling your hair*

Now switch you and me. That's exactly what you're doing.

Please don't. =)
Comment 210 Yesudeep Mangalapilly 2011-08-19 15:50:47 PDT
What you're doing is equivalent to me doing this when I want to file a bug report:

Me: I have a problem X with Firefox.
You: Which version?
Me: I know the version, but I'm not going to tell you. Why can't you figure out for yourself?
You: *pulling your hair*

Now switch you and me. That's exactly what you're doing.

Please don't. =)
Comment 211 jra 2011-08-19 19:09:45 PDT
============== WHY THEY WANT TO DO THIS =================

(Where, by "they", I mean Asa...)

It's already been quite clearly explained why this is viewed as desirable; I saw it in, I think, either the first Slashdot link to this bug, or the LWN link to this bug:

They want to greatly increase the release tempo of the project.

================ (MORE) OPINIONS FOLLOW ==================

They want the version number to go and hide because they want to replace it with a build date, and they'd like that to be less visible.

My further opinion is that they'd like that to be less visible because they believe, for some unknown and probably unreasonable reason, that that will *reduce* the amount of ire directed at them by people for whom that accelerated release tempo will cause MAJOR support trouble and costs, as itemized in many comments above this.

None of these things are actually true, nor are they good application development management judgement -- and I speak as someone who's been managing application development for over 2 decades.

If you go look at the "Software Versioning" article in Wikipedia, you will find that it describes a version number as:

"allow[ing] people providing support to ascertain exactly what code a user is running, so that they know what bugs might affect a problem, and the like. This occurs when a program has a substantial user community, especially when that community is large enough that the people providing technical support are not the people who wrote the code."

Outside of the actual programming process, though, this is probably not even the most important reason for version numbers: it's second or third. 

In the case of Firefox, which is *a tool for third parties* (web application designers), it's even more critical (as has been -- say it with me now -- noted in comments above), because they generally don't have much practical visibility into the *firefox* code; only their own.

But "traditional" version numbers also have *another* mnemonic baked into them, which is directly aimed at the "I must test this release before I roll it out" crowd ... that is, the MIS/IT staffers that Asa has been quoted in public as thinking are not Mozilla's target market for Firefox (IE: "we don't care what their requirements are, or why, or if they use our code at all")...

and that is that version.revision.change provides a version number where you have a hope -- assuming the release manager isn't marketing driven -- of intuiting *how big a change is coming down the pike*, and therefore, how much attention you have to pay to it.

"change" bumps *usually* don't cause major problems.

"revision" bumps *might*, especially if they are non-contiguous.

"version" bumps *by definition* can cause you moderate to major compatibility problems... in fact, it's the definition: if you rewrite the code, or make a major, incompatible change to a major API or the UI, you bump the version.

And if you're supporting a web app, knowing that a problem happened in 3.6.x vs between 4.0.x tells you it might be a different category of problem; there's useful information in *which component of the version number changed*.

This stuff is *forty years old* now, folks; it is not rocket surgery.

And if Asa is wondering why we're all alternately rolling our eyes at him, and ranting and raving at him... I hope this posting has explained it in a bit more detail.

But I think he's taken his ball and gone home... and I cannot *wait* to see who forks the codebase and tells him to go to hell.  I'm betting on either Ubuntu or IBM; who's holding the markers?
Comment 212 Ed Morley [:emorley] 2011-08-19 19:14:00 PDT
nothappyuser, Yesudeep, jra & any others itching to keep on replying:

This bug has been closed as invalid per comment 206, so no further replies are necessary. Every reply spams the 100+ people CC'd to this bug.

If anyone feels the need to continue posting, the best place is here:
http://groups.google.com/group/mozilla.dev.usability/browse_thread/thread/fe75ec92c02be934

Thanks! :-)

[Disclaimer: I am not a Mozilla employee, nor do I have any vested interest in this bug]
Comment 213 Asa Dotzler [:asa] 2011-08-19 19:20:14 PDT
(In reply to Ed Morley [:edmorley] from comment #212)
> nothappyuser, Yesudeep, jra & any others itching to keep on replying:
> 
> This bug has been closed as invalid per comment 206, so no further replies
> are necessary. Every reply spams the 100+ people CC'd to this bug.
> 
> If anyone feels the need to continue posting, the best place is here:
> http://groups.google.com/group/mozilla.dev.usability/browse_thread/thread/
> fe75ec92c02be934
> 
> Thanks! :-)
> 
> [Disclaimer: I am not a Mozilla employee, nor do I have any vested interest
> in this bug]

Ed, are you trying to shut down this amazingly constructive discussion :-) Why would you do that? There's plenty of yet to be covered ground here. I suggest you wait until it starts to get repetitive or vitriolic before doing that :p
Comment 214 Yesudeep Mangalapilly 2011-08-20 01:21:35 PDT
(In reply to Ed Morley [:edmorley] from comment #212)
> nothappyuser, Yesudeep, jra & any others itching to keep on replying:
> 
> This bug has been closed as invalid per comment 206, so no further replies
> are necessary. Every reply spams the 100+ people CC'd to this bug.
> 
> If anyone feels the need to continue posting, the best place is here:
> http://groups.google.com/group/mozilla.dev.usability/browse_thread/thread/
> fe75ec92c02be934
> 
> Thanks! :-)
> 
> [Disclaimer: I am not a Mozilla employee, nor do I have any vested interest
> in this bug]

Disclaimer: I'm not a Mozilla employee. 

However, I have been an ardent Mozilla supporter right from the day Firefox was released. I've written a couple plugins for people using Firefox. I've literally handheld people into switching to Firefox. I've educated people about the virtues of Firefox and the Open Web, and I've done the little things that I could to help spread Firefox. Heck, I even have a Firefox sticker on my otherwise untouched MacBook and a large one on my wall. No other stickers are allowed.

We've replied because we love Firefox. We've replied because the community has a voice. If you notice, we've very politely asked you to not do such a thing. Yes, the bug has now been marked "resolved invalid." Sorry for not noticing that earlier. I'll stop any further comment on the matter. Thank you for listening. 

=)
Comment 215 Chris 2011-08-20 09:50:53 PDT
Here is my contribution.

I agree with what the majority are saying in that this is a bad idea, its a very bad idea in fact.

1 - Not one reason has been posted by the author as to why this is happening.  He has even gone further as into not even willing to discuss the issue.
2 - The reason I know this is happening is that there is opposition to the rapid release schedule so firefox wasnt to hide the version number so user's start treating updates the same as windows updates and just blindly update the app everytime it wants to update.  The solution should be instead to either cancel the rapid release schedule and hold hand up saying got it wrong or compromise and support older versions for security updates, eg. FreeBSD support multiple versions at once.
3 - As a user using firefox, my prime concern of the app is as follows probably in order.
a - stabiliy
b - performance
c - features
d - security
security is last as I can use other apps/tools to make up for security issues in the browser itself, such as running it in a sandbox or VM. No script probably renders the majority of patched issues unneeded.
Addons are what make firefox what it is, if this starts been ignored by the developers then users will either leave en masse or more likely they just stay on old version, so not only will users not update they will also be using a vulnerable browser.
Firefox wasting time on rubbish like this when they still havent even implemented sandbox support and seperating the gui, GC, browser threading etc. into seperate processes which would fix things like stuttering and laggy gui.
I used to think microsoft were the worst for forcing changes on users, but firefox is actually probably now worse for that and this is and timing for forefox as IE9 is a quite good browser now and people will be more willing to move than they were with IE6,7,8. Developers with hands to ears "I cant hear you".
I feel like I am been forced to beta test firefox now as all whats going on now is labeling beta versions as release quality.  It is also inevitable a addon will be made to restore the version number. Like one was made to restore the down arrow next to the back button. (another silly design change).
Comment 216 David E. Ross 2011-08-20 10:38:57 PDT
Please note that this change is not even being considered for SeaMonkey, the evolution of which seems more attuned to what end-users really want.
Comment 217 Fred Wenzel [:wenzel] 2011-08-20 12:16:14 PDT
(In reply to Yesudeep Mangalapilly from comment #214)
> We've replied because we love Firefox. We've replied because the community
> has a voice.

Thumbs up.

I would like to thank the people who have participated in the discussion in a civilized manner and with the best intentions in mind: You are the ones who make Firefox and the Mozilla Community more awesome every day.

I hope you serve as an example to all the people who've recently stirred up hatred and tried to deteriorate the discussion into a huge flame war.
Comment 218 T3st3r 2011-08-26 07:45:40 PDT
Thank you, Mozilla. You've heard us, after all. 

Regards, one of your test pilots.
Comment 219 jra 2011-08-26 14:35:50 PDT
They haven't heard us at all, T3st3r: they don't care.

Mitchell Baker, chairperson of the Mozilla board, says so:

http://blog.lizardwrangler.com/2011/08/25/rapid-release-process/

Been nice knowing you, Firefox; I'm done.
Comment 220 Yesudeep Mangalapilly 2011-08-26 14:57:40 PDT
jra@baylink.com

Relax, man. =) We don't need to trash so many years of work tons of 
engineers have put into Firefox when they falter once or twice.
We need to give them a breather too.

Also, I believe this bug isn't about the release process.
The release process can be worked around if Firefox upgrades 
can keep addons defaulting to compatible allowing users to 
report if something breaks. Essentially, from your link:

https://wiki.mozilla.org/Features/Add-ons/Add-ons_Default_to_Compatible

This is a very good idea, IMHO. Make feedback easy and
addons compatible by default. With the current process, 
users would find that their favorite addons have been disabled
so they are more likely to "disown" the browser version entirely.

There may be other potential solutions which I may not be 
aware of at the moment as well. However, we should discuss this 
elsewhere.

Dear Mozilla, you're doing a great job. We're grateful for a fantastic 
browser. We wouldn't have had the Web as it is today if it weren't
for Firefox.

Thank you.

Cheers,
Yesudeep.
Comment 221 Jeramie H 2011-08-26 15:24:21 PDT
New browser releases always break some of our services at the college where I work. Part of my job is -specifically- telling people to downgrade to the previous browser version until our vendors have updated our server software, which usually lags by several months. And by "break" I mean entirely unable to render pages at all. Since I've been working here, I've seen the employee email system, the student email system, the student finances system, and the student course delivery system all being categorically unable to function with a specific browser version for several months after its release. You can't just force the latest browser version.
Comment 222 T3st3r 2011-08-27 10:20:57 PDT
> They haven't heard us at all, T3st3r: they don't care.
I only meant this particular bug about all this version hiding stuff. Which is completely weird to my taste. It looks like if it's quick and dirty workaround to other problems in a pretty stupid ways. 

As for me, the most pressing FF issue is that Google's Chrome is just faster in some things like rendering and some aspects of JS. Another issue is that Chrome has implemented decent dev tools in browser so devs started to prefer Chrome as their default browser at the moment. And devs are those who defines world shape in the future, so Mozilla haves a serious trouble to worry. If dev prefers certain browser, resulting web site works best with this browser. And Firefox had permanent issues with Firebug extension while it should work flawlessly out of the box. That's where Mozilla loses loyal web devs, making own future harder as well.

> Mitchell Baker, chairperson of the Mozilla board, says so:
> http://blog.lizardwrangler.com/2011/08/25/rapid-release-process/
This is a two-fold issue. On one hand, waiting for new features whole year really sucks and that's where I'm agree with Mozilla. On other hand, in some places you really can't afford instability, unplanned upgrades and possible incompatibilities. As for me it looks like if there is huge need to split into "bleeding edge" and "LTS stable releases" like Ubuntu does. Well, actually, it has been a first time in many years I seen local stats are reporting increase in IE usage last month or two (due to corporate users discarding Firefox of course). Corporate users can't run at 6 weeks speed and they're not willing to enter the race. They're just switching back to IE who does not forces them into this race. This is clear indication that Mozilla should seriously reconsider this part of problem. But to be honest, I believe that it's partially enterprises management fault that they're such a stupid slowpokes. However, it should not be surprise for Mozilla management that this world is not perfect and so just hiding version will not work and actually looks stupid enough.
Comment 223 Since1972 2011-09-05 12:26:12 PDT
The following is an overview to illustrate the fact that ultra-arrogance interferes with good product development. 

Jojo's comment, (comment #6) was merely a soft expression of disagreement (and a little shock) and dissent and Asa Dotzler's response (comment #7) was overboard and judgmental, "if you cannot.." i.e. talking down to the commenter as if he's a child and the (attempted) stifling of criticism and opposition. There are software engineers with 20+ years experience on this thread. 

Quote "participate according to our rules." The rules were not broken by comment #6. Ban, ban, ban, must ban. It's apparent that the arrogance of Asa Dotzler needs to be exposed and he may continue with this do-as-you-please one-man-show attitude (I'm sure it will come-up again soon) but it's not going to go unopposed and it's not going to continue without strong criticism (which many attempt to label as "flaming"). 

Quote "stirred up hatred..." - Asa Dotzler is in a leadership position and *he* stirred up hatred early on with a gross attempt to stifle opposition, criticism and free-speech in this thread and that needs to be exposed. If you are in a leadership position learn to set a proper example and get rid of the arrogance. For those of you that think *this* is "bumping" the thread, sorry to say that ultra-arrogance interferes with good product development and it needs to be exposed. 

A "rapid release" cycle is the opposite of thorough analysis and design BEFORE you code software and this now-invalid "bug" smells of the "rapid release" mentality and I expect more of it until the software sector wakes up and realizes that "rapid release" is a fad, a marketing campaign and the opposite of self-discipline.
Comment 224 Dave Garrett 2011-09-05 13:09:17 PDT
You can be correct and wrong at the same time. This applies to multiple people on multiple sides of many of these messy bug reports.

This bug report does not need any more new comments, please.
Comment 225 klonos 2011-10-18 08:02:00 PDT
(In reply to Asa Dotzler [:asa] from comment #36)
> I relinquish this bug to the mob. Have fun.

Needless to say I stopped reading the comments at that point, but... HEY! I know what!!!... We should change the text in the about box from this:

"Firefox is designed by Mozilla, a global community working together to make the Internet better. We believe that the Internet should be open, public, and accessible to everyone without any restrictions.

Sound interesting? Get involved!"

...to something like this:

"Firefox is designed by Mozilla, a MOB working INDIVIDUALLY to make the Internet better (THE WAY THEY SEE FIT!). THEY believe that the Internet should be open, public, and accessible to THEM without any restrictions (BTW, IF YOU HAVE ANY OBJECTIONS BUT NO ACCOUNT OVER @ newsgroup thread in m.d.usability WE WON'T GIVE A DAMN OF WHAT YOU THINK).

Sound interesting? Get LOST!"
Comment 226 alexa.gerancho 2014-02-02 17:02:24 PST Comment hidden (spam)

Note You need to log in before you can comment on or make changes to this bug.